MAIN_ROBOT = """
*** Settings ***
Documentation    Documentação da Suite de Tasks Robot Framework

Library     rpapy.activities
Resource    ../resources/keywords.robot

Suite Setup     Toast Process Start Notifier

  
*** Variables ***
${VAR}=             Everybody
${LAPIS}=           btn_lapis
${NOME_IMAGEM}      codigo100cera


*** Tasks ***
Tarefa principal
    Keyword principal


*** Keywords ***
Keyword principal
    Primeira Keyword        ${VAR}
    Abrir Mspaint
    Selecionar ferramenta "${LAPIS}"
    Desenhar            ${NOME_IMAGEM}
    ${DADOS_CORES}      Get Dados Cores     ${NOME_IMAGEM}
    Pintar desenho      ${DADOS_CORES}
"""


KEYWORDS_ROBOT = """

*** Settings ***
Documentation    Documentacao das Keywords da Suite de Tasks
Library     rpapy.activities
Library     ./custom_keywords.py


*** Variables ***
${VAR}=         variables
${LIMPAR}=      {HOME}{DEL 20}
${BALDE}=       btn_balde



*** Keywords ***
Primeira Keyword
    [Arguments]         ${arg}
    Log To Console      Hello ${arg}!


Abrir Mspaint
    Open Executable     mspaint.exe     Sem Título - Paint      work_dir=C:/Windows/System32/


Editar Cor RGB
    [Arguments]     ${r}    ${g}    ${b}    ${matiz}=0   ${sat}=0    ${lum}=

    Click Vision    btn_editar_cores    backend=uia

    Wait Element Vision    titulo_editar_cores
    Sleep    .5

    Write Text Vision    campo_red    backend=uia    after=.2
    ...    text=${LIMPAR}${r}

    Write Text Vision    campo_green    backend=uia    after=.2
    ...    text=${LIMPAR}${g}

    Write Text Vision    campo_blue    backend=uia    after=.2
    ...    text=${LIMPAR}${b}

    # Write Text Vision    campo_matiz      backend=uia
    # ...    text=${LIMPAR}${matiz}

    # Write Text Vision    campo_sat      backend=uia
    # ...    text=${LIMPAR}${sat}

    # Write Text Vision    campo_lum    backend=uia
    # ...    text=${LIMPAR}${lum}

    Click Vision    btn_ok_cor_definida    backend=uia


Reduzir zoom
    Wait Element Vision    icone_paint
    Click Vision    btn_reduzir_zoom    backend=uia     after=0.5


Aumentar zoom
    Wait Element Vision    icone_paint
    Click Vision    btn_aumentar_zoom    backend=uia     after=0.5


Definir tamanho da imagem
    [Arguments]    ${largura}    ${altura}

    Wait Element Vision    icone_paint    

    Click Vision    btn_menu_arquivo    backend=uia
    
    Click Vision    btn_item_menu_propriedades    backend=uia
    Click Vision    btn_item_menu_propriedades    backend=uia
    
    Sleep    1

    Write Text Vision    campo_largura_imagem    backend=uia
    ...    text=${LIMPAR}${largura}    move_y=20
    
    Write Text Vision    campo_altura_imagem    backend=uia
    ...    text=${LIMPAR}${altura}    move_y=20
    
    Click Vision    btn_ok    before=1

    Mover Rolagem Para Baixo


Selecionar ferramenta "${nome_ferramenta}"

    Wait Element Vision    icone_paint

    Click Vision    ${nome_ferramenta}    backend=uia


Pintar desenho
    [Arguments]     ${dados_imagem}

    Selecionar ferramenta "${BALDE}"

    FOR     ${key}     ${value}   IN      &{dados_imagem}
        
        ${cor}      Set Variable      ${value}[param_cor]
        Editar Cor RGB    @{cor}
        Pintar area       ${value}[coordenadas]   
    END


Pintar area
    [Arguments]     ${coordenadas}
    
    FOR    ${coord}   IN    @{coordenadas}
        Click Coord     ${coord}[0]     ${coord}[1]
    END

"""


CUSTOM_KEYWORDS = """
import os
from pathlib import Path

import mouse
import pyautogui


def desenhar(nome_imagem: str):
        
    # The directory containing this file
    HERE = os.path.abspath(os.path.dirname(__file__))

    # The text of the README file
    with open(os.path.join(HERE, F"desenhos/{nome_imagem}.txt")) as fid:
        DESENHO = fid.read()


    flag_levantado = False
    for line in DESENHO.splitlines():
        
        partes_line = line.split()
        if len(partes_line) < 2:
            continue        

        if line.startswith('G00 Z'):
            flag_levantado = True
                
        elif 'X' in partes_line[1]:            
            x, y = [int(float(coord.replace('X', '').replace('Y', ''))) for coord in partes_line[1:3]]

            if x + y == 0: continue
            
            if flag_levantado:
                pyautogui.moveTo(x, y, .2)
                pyautogui.sleep(0.01)
                flag_levantado = False
            
            start_x, start_y = mouse.get_position()

            pyautogui.sleep(0.03)
            mouse.drag(start_x, start_y, x, y, absolute=True, duration=float(0.00003))
            pyautogui.sleep(0.01)


def apagar_desenho():
    pyautogui.sleep(3)
    pyautogui.hotkey('ctrl', 'a')
    pyautogui.press('del')


def mover_rolagem_para_baixo():    
    pyautogui.moveTo(1357, 362, .5, pyautogui.easeOutQuad)
    pyautogui.dragTo(1357, 400, duration=.2)


def get_dados_cores(nome_imagem: str):        
    return {
        'codigo100cera':{
            'vermelho': {
                'param_cor': (237, 28, 36),                         
                'coordenadas': [(1085, 324), (1063, 342),(1014, 254),(110, 387),(87, 624)]
            },
            'preto': {
                'param_cor': (0, 0, 0), 
                'coordenadas': [(569, 576), (548, 588), (622, 519), (692, 471), (156, 590)]
            },
            'cinza_25': {
                'param_cor': (195, 195, 195),
                'coordenadas': [(201, 532), (201, 532)]
            },
            'morron': {
                'param_cor': (181, 142, 7),
                'coordenadas': [(358, 603), (358, 603), (95, 483), (267, 462), (314, 509)]
            },
            'morron_claro': {
                'param_cor': (235, 185, 13),
                'coordenadas': [(370, 447), (370, 447), (198, 425)]
            },
            'amarelo': {
                'param_cor': (255, 242, 0),
                'coordenadas': [(208, 347), (208, 347)]
            },
            'verde': {
                'param_cor': (34, 177, 76),
                'coordenadas': [(318, 328), (318, 328), (746, 388), (834, 300)]
            },
            'azul': {
                'param_cor': (63, 72, 204),
                'coordenadas': [(441, 385), (441, 385)]
            },
            'roxo': {
                'param_cor': (163, 73, 164),
                'coordenadas': [(435, 501), (435, 501)]
            },
        },
    }.get(nome_imagem)


if '__main__' == __name__:
    desenhar('teste_paisagem')

"""


CODIGO100CERA = """
%
(Header)
(Generated by gcodetools from Inkscape.)
(Using default header. To add your own header create file "header" in the output dir.)
M3
(Header end.)
G21 (All units in mm)

(Start cutting path id: path3843)
(Change tool to Cylindrical cutter)

G00 Z5.000000
G00 X1147.711356 Y379.699207

G01 Z-1.000000 F100.0(Penetrate)
G03 X1148.396636 Y377.366772 Z-1.000000 I6.285454 J0.579808 F400.000000
G03 X1149.448753 Y376.158719 Z-1.000000 I3.027084 J1.574166
G03 X1150.994700 Y375.490545 Z-1.000000 I2.345449 J3.304133
G03 X1153.113094 Y375.326324 Z-1.000000 I1.733085 J8.610790
G01 X1229.252127 Y378.670285 Z-1.000000
G03 X1232.377840 Y379.128591 Z-1.000000 I-0.683543 J15.549931
G03 X1233.178878 Y379.555458 Z-1.000000 I-0.462781 J1.833460
G03 X1233.579729 Y380.353531 Z-1.000000 I-0.818253 J0.910692
G03 X1233.624977 Y381.242556 Z-1.000000 I-10.743502 J0.992467
G01 X1234.139437 Y434.745646 Z-1.000000
G03 X1233.902885 Y437.945658 Z-1.000000 I-19.248072 J0.185887
G03 X1233.298742 Y440.283067 Z-1.000000 I-12.477147 J-1.978152
G03 X1232.228995 Y442.437809 Z-1.000000 I-10.098281 J-3.670491
G03 X1230.934487 Y444.016622 Z-1.000000 I-7.555440 J-4.874789
G03 X1227.509098 Y446.116270 Z-1.000000 I-6.399751 J-6.596692
G03 X1223.335927 Y446.835308 Z-1.000000 I-4.329671 J-12.658951
G01 X1179.350195 Y447.349769 Z-1.000000
G02 X1177.677217 Y448.020349 Z-1.000000 I0.029231 J2.495109
G02 X1176.400976 Y449.861679 Z-1.000000 I3.598542 J3.857131
G02 X1175.743201 Y452.262597 Z-1.000000 I9.248170 J3.824266
G02 X1175.553511 Y455.329293 Z-1.000000 I18.809565 J2.702676
G02 X1175.851699 Y458.398248 Z-1.000000 I19.857739 J-0.380468
G02 X1176.540098 Y460.794158 Z-1.000000 I11.686757 J-2.061017
G02 X1177.774828 Y462.719595 Z-1.000000 I5.755957 J-2.332519
G02 X1179.093031 Y463.297821 Z-1.000000 I1.339114 J-1.261137
G01 X1225.908264 Y463.812281 Z-1.000000
G01 X1226.165428 Y498.537852 Z-1.000000
G03 X1212.581706 Y500.614389 Z-1.000000 I-36.390705 J-192.583324
G03 X1194.469918 Y502.487800 Z-1.000000 I-78.119766 J-666.759943
G03 X1176.358602 Y503.993204 Z-1.000000 I-123.471555 J-1375.770446
G02 X1158.000438 Y505.482940 Z-1.000000 I152.022422 J1987.246972
G03 X1154.316666 Y496.080842 Z-1.000000 I96.793961 J-43.346896
G03 X1150.899612 Y484.262282 Z-1.000000 I131.462266 J-44.412427
G03 X1148.463029 Y472.186013 Z-1.000000 I157.548088 J-38.071822
G03 X1146.516755 Y456.967234 Z-1.000000 I223.512422 J-36.318036
G03 X1145.276017 Y426.554931 Z-1.000000 I288.548652 J-27.003447
G03 X1147.711290 Y379.699207 Z-1.000000 I584.202215 J6.872097
G01 X1147.711356 Y379.699207 Z-1.000000
G00 Z5.000000

(End cutting path id: path3843)


(Start cutting path id: path3841)
(Change tool to Cylindrical cutter)

G00 Z5.000000
G00 X1133.049390 Y495.193890

G01 Z-1.000000 F100.0(Penetrate)
G01 X1051.765810 Y495.708351 Z-1.000000 F400.000000
G03 X1050.392485 Y495.352062 Z-1.000000 I0.617540 J-5.205223
G03 X1049.618234 Y494.874827 Z-1.000000 I1.065731 J-2.595685
G03 X1049.032598 Y494.159392 Z-1.000000 I1.795277 J-2.066980
G03 X1048.670279 Y493.321494 Z-1.000000 I3.676925 J-2.087237
G03 X1048.305870 Y491.413402 Z-1.000000 I8.357412 J-2.584949
G02 X1047.907421 Y489.534955 Z-1.000000 I-7.296653 J0.566257
G01 X1047.907421 Y468.185131 Z-1.000000
G03 X1048.412064 Y465.742931 Z-1.000000 I7.891747 J0.357468
G03 X1049.086967 Y464.627867 Z-1.000000 I3.366737 J1.275973
G03 X1050.148756 Y463.743500 Z-1.000000 I3.456189 J3.069980
G02 X1051.251383 Y463.040590 Z-1.000000 I-14.682786 J-24.248596
G02 X1059.137299 Y464.153455 Z-1.000000 I23.566122 J-138.496032
G03 X1066.687264 Y465.040596 Z-1.000000 I-82.862477 J737.767062
G03 X1074.225193 Y466.129686 Z-1.000000 I-21.670456 J176.618656
G03 X1084.112086 Y468.185131 Z-1.000000 I-20.681075 J124.284177
G03 X1085.354240 Y466.809755 Z-1.000000 I10.549139 J8.278718
G02 X1085.557029 Y466.489784 Z-1.000000 I-0.555724 J-0.576450
G02 X1085.481212 Y466.214590 Z-1.000000 I-0.241251 J-0.081575
G02 X1084.433459 Y465.355630 Z-1.000000 I-21.619945 J25.303373
G02 X1074.547791 Y463.680235 Z-1.000000 I-30.506442 J150.000368
G03 X1062.246980 Y461.952557 Z-1.000000 I189.505844 J-1393.907133
G03 X1056.431940 Y461.063449 Z-1.000000 I54.317302 J-374.712283
G03 X1051.867972 Y460.234635 Z-1.000000 I18.281034 J-113.647227
G03 X1047.341810 Y459.139934 Z-1.000000 I12.321595 J-60.849320
G03 X1045.206419 Y458.281894 Z-1.000000 I2.916841 J-10.345278
G03 X1044.271507 Y424.762219 Z-1.000000 I404.567778 J-28.056856
G03 X1046.363956 Y391.017211 Z-1.000000 I348.965711 J4.701169
G03 X1047.255765 Y386.344892 Z-1.000000 I30.251871 J3.352929
G03 X1048.248271 Y383.829007 Z-1.000000 I11.998584 J3.279680
G03 X1049.829899 Y381.699605 Z-1.000000 I7.642243 J4.024242
G03 X1051.382567 Y380.567513 Z-1.000000 I4.578898 J4.649182
G03 X1055.229614 Y379.505379 Z-1.000000 I4.380710 J8.368859
G02 X1059.225243 Y378.927549 Z-1.000000 I-1.311072 J-23.169500
G01 X1121.988530 Y375.069126 Z-1.000000
G03 X1124.598488 Y375.316737 Z-1.000000 I0.566583 J7.906922
G03 X1126.612924 Y376.495151 Z-1.000000 I-1.133441 J4.248550
G03 X1127.832507 Y378.490102 Z-1.000000 I-3.764775 J3.671799
G03 X1128.676375 Y383.043136 Z-1.000000 I-15.585888 J5.243436
G01 X1130.219790 Y433.974021 Z-1.000000
G03 X1129.135522 Y438.368362 Z-1.000000 I-19.404432 J-2.456949
G03 X1128.029908 Y440.135933 Z-1.000000 I-4.888471 J-1.828167
G03 X1126.294490 Y441.128287 Z-1.000000 I-2.522524 J-2.397748
G03 X1124.303604 Y441.176306 Z-1.000000 I-1.111489 J-4.787235
G01 X1074.916064 Y440.147418 Z-1.000000
G02 X1074.418720 Y442.400435 Z-1.000000 I67.359737 J16.050763
G02 X1074.304360 Y444.109339 Z-1.000000 I6.291672 J1.279320
G02 X1074.457789 Y444.898011 Z-1.000000 I3.210349 J-0.215284
G02 X1074.781318 Y445.464047 Z-1.000000 I1.544225 J-0.507155
G02 X1075.290227 Y445.837673 Z-1.000000 I1.104540 J-0.971071
G02 X1076.202216 Y446.063617 Z-1.000000 I1.098260 J-2.479433
G01 X1133.306488 Y448.893118 Z-1.000000
G03 X1136.163868 Y449.069924 Z-1.000000 I-0.020472 J23.508451
G03 X1138.430484 Y449.824945 Z-1.000000 I-0.740368 J6.002395
G03 X1139.364443 Y450.535853 Z-1.000000 I-2.246547 J3.920363
G03 X1140.172437 Y451.604424 Z-1.000000 I-3.319779 J3.349996
G03 X1140.680764 Y452.853333 Z-1.000000 I-4.996458 J2.761549
G03 X1141.023300 Y454.809317 Z-1.000000 I-10.113787 J2.779131
G01 X1139.737148 Y480.274793 Z-1.000000
G03 X1138.640462 Y487.193743 Z-1.000000 I-117.885190 J-15.138966
G03 X1137.412373 Y491.556308 Z-1.000000 I-25.412909 J-4.799752
G03 X1136.466025 Y493.533817 Z-1.000000 I-12.187298 J-4.617106
G03 X1135.565834 Y494.631480 Z-1.000000 I-3.932324 J-2.306937
G03 X1134.412228 Y495.235707 Z-1.000000 I-1.784568 J-2.003784
G03 X1133.049225 Y495.193890 Z-1.000000 I-0.605375 J-2.502249
G01 X1133.049390 Y495.193890 Z-1.000000
G00 Z5.000000

(End cutting path id: path3841)


(Start cutting path id: path3839)
(Change tool to Cylindrical cutter)

G00 Z5.000000
G00 X958.070008 Y504.158495

G01 Z-1.000000 F100.0(Penetrate)
G03 X950.461384 Y474.549727 Z-1.000000 I189.141680 J-64.386101 F400.000000
G03 X946.602063 Y442.054520 Z-1.000000 I284.117236 J-50.220202
G03 X946.139572 Y409.192610 Z-1.000000 I346.155736 J-21.305931
G03 X948.429978 Y375.564656 Z-1.000000 I485.806713 J16.196414
G03 X992.968290 Y376.224500 Z-1.000000 I3.056894 J1297.123850
G03 X1034.462401 Y378.656782 Z-1.000000 I-25.020918 J782.006035
G01 X1034.462401 Y434.677797 Z-1.000000
G03 X1033.811633 Y439.230258 Z-1.000000 I-43.198360 J-3.852404
G03 X1032.374106 Y442.538734 Z-1.000000 I-8.299116 J-1.639410
G03 X1031.136912 Y443.831023 Z-1.000000 I-5.241384 J-3.779558
G03 X1029.264220 Y444.920222 Z-1.000000 I-4.759242 J-6.028222
G03 X1027.152397 Y445.518676 Z-1.000000 I-3.786486 J-9.336411
G03 X1023.784309 Y445.805990 Z-1.000000 I-3.434263 J-20.373609
G01 X977.350023 Y445.954926 Z-1.000000
G02 X976.996950 Y446.192121 Z-1.000000 I0.000932 J0.382767
G02 X976.425857 Y448.147891 Z-1.000000 I8.902302 J3.660774
G02 X976.166119 Y450.240539 Z-1.000000 I19.020101 J3.423201
G02 X976.116821 Y453.255443 Z-1.000000 I28.633084 J1.976046
G02 X976.389400 Y456.229218 Z-1.000000 I27.044313 J-0.979528
G02 X977.060984 Y459.078016 Z-1.000000 I17.071219 J-2.520856
G02 X978.256283 Y461.656579 Z-1.000000 I11.506315 J-3.767458
G02 X979.896412 Y463.416043 Z-1.000000 I5.191344 J-3.195066
G01 X1027.186919 Y463.779879 Z-1.000000
G01 X1027.186919 Y499.429686 Z-1.000000
G03 X992.243545 Y502.167354 Z-1.000000 I-116.636408 J-1264.361479
G03 X958.070008 Y504.158759 Z-1.000000 I-178.308954 J-2765.659585
G01 X958.070008 Y504.158495 Z-1.000000
G00 Z5.000000

(End cutting path id: path3839)


(Start cutting path id: path7282)
(Change tool to Cylindrical cutter)

G00 Z5.000000
G00 X733.190572 Y449.290252

G01 Z-1.000000 F100.0(Penetrate)
G01 X706.241375 Y476.767449 Z-1.000000 F400.000000
G01 X715.201102 Y494.062174 Z-1.000000
G01 X697.876617 Y511.726088 Z-1.000000
G01 X650.109202 Y415.355921 Z-1.000000
G01 X670.656845 Y394.405699 Z-1.000000
G01 X767.935581 Y440.294500 Z-1.000000
G01 X750.611095 Y457.958414 Z-1.000000
G01 X733.190572 Y449.290252 Z-1.000000
G00 Z5.000000

(End cutting path id: path7282)


(Start cutting path id: path7282)
(Change tool to Cylindrical cutter)

G00 Z5.000000
G00 X697.083533 Y459.188872

G01 Z-1.000000 F100.0(Penetrate)
G01 X715.392873 Y440.520808 Z-1.000000 F400.000000
G01 X677.406798 Y421.532678 Z-1.000000
G01 X697.083533 Y459.188872 Z-1.000000
G00 Z5.000000

(End cutting path id: path7282)


(Start cutting path id: path7280)
(Change tool to Cylindrical cutter)

G00 Z5.000000
G00 X605.376254 Y488.075466

G01 Z-1.000000 F100.0(Penetrate)
G01 X625.632200 Y507.942175 Z-1.000000 F400.000000
G01 X635.167384 Y498.220174 Z-1.000000
G02 X639.101757 Y492.654433 Z-1.000000 I-15.237555 J-14.944751
G02 X640.288847 Y487.751233 Z-1.000000 I-10.503022 J-5.138135
G02 X639.211337 Y482.816664 Z-1.000000 I-11.273520 J-0.123246
G02 X635.490394 Y477.582495 Z-1.000000 I-16.483218 J7.778149
G02 X632.907433 Y475.426970 Z-1.000000 I-14.690894 J14.978724
G02 X630.508789 Y474.062239 Z-1.000000 I-8.147563 J11.529826
G02 X627.896434 Y473.233648 Z-1.000000 I-4.981648 J11.173606
G02 X625.279050 Y473.029863 Z-1.000000 I-2.174118 J11.013489
G02 X620.399802 Y474.311853 Z-1.000000 I0.461684 J11.683353
G02 X614.911438 Y478.353464 Z-1.000000 I9.749191 J18.986362
G01 X605.376254 Y488.075466 Z-1.000000
G00 Z5.000000

(End cutting path id: path7280)


(Start cutting path id: path7280)
(Change tool to Cylindrical cutter)

G00 Z5.000000
G00 X574.588768 Y492.355982

G01 Z-1.000000 F100.0(Penetrate)
G01 X603.194315 Y463.189983 Z-1.000000 F400.000000
G03 X609.939927 Y457.172770 Z-1.000000 I48.405057 J47.474909
G03 X616.006453 Y453.211943 Z-1.000000 I26.762178 J34.363532
G03 X622.644380 Y450.446264 Z-1.000000 I17.050337 J31.573939
G03 X628.926179 Y449.294442 Z-1.000000 I8.212908 J27.085768
G03 X635.287455 Y449.569257 Z-1.000000 I2.027803 J26.822588
G03 X641.495130 Y451.346109 Z-1.000000 I-4.456512 J27.301543
G03 X647.199366 Y454.460637 Z-1.000000 I-12.065577 J28.878913
G03 X653.262542 Y459.462147 Z-1.000000 I-25.989727 J37.682407
G03 X658.405688 Y465.451314 Z-1.000000 I-32.346062 J32.979800
G03 X661.653925 Y471.117534 Z-1.000000 I-25.659946 J18.474068
G03 X663.575734 Y477.315580 Z-1.000000 I-25.543836 J11.317265
G03 X663.997624 Y483.691957 Z-1.000000 I-26.635359 J4.964465
G03 X662.948580 Y489.970104 Z-1.000000 I-28.244520 J-1.492790
G03 X660.295080 Y496.649524 Z-1.000000 I-34.673075 J-9.907615
G03 X656.444806 Y502.782086 Z-1.000000 I-38.929417 J-20.166525
G03 X650.555337 Y509.640919 Z-1.000000 I-54.679347 J-40.993503
G01 X639.184742 Y521.234292 Z-1.000000
G01 X664.346798 Y545.912837 Z-1.000000
G01 X647.111847 Y563.485462 Z-1.000000
G01 X574.588768 Y492.355982 Z-1.000000
G00 Z5.000000

(End cutting path id: path7280)


(Start cutting path id: path7278)
(Change tool to Cylindrical cutter)

G00 Z5.000000
G00 X560.681358 Y570.861817

G01 Z-1.000000 F100.0(Penetrate)
G02 X563.211135 Y567.967265 Z-1.000000 I-23.901115 J-23.441833 F400.000000
G02 X564.779367 Y565.590363 Z-1.000000 I-14.503009 J-11.274587
G02 X565.878729 Y563.000441 Z-1.000000 I-11.832225 J-6.550796
G02 X566.239997 Y560.821652 Z-1.000000 I-7.967821 J-2.440500
G02 X566.024953 Y558.607447 Z-1.000000 I-8.095773 J-0.331281
G02 X565.129218 Y556.172635 Z-1.000000 I-10.717917 J2.560807
G02 X563.726942 Y553.950426 Z-1.000000 I-12.690041 J6.454229
G02 X561.423445 Y551.351543 Z-1.000000 I-19.716400 J15.155181
G02 X558.804848 Y549.123329 Z-1.000000 I-17.048055 J17.382068
G02 X556.579945 Y547.787644 Z-1.000000 I-8.219562 J11.170753
G02 X554.154707 Y546.964464 Z-1.000000 I-4.633207 J9.666092
G02 X551.958828 Y546.814908 Z-1.000000 I-1.630631 J7.746544
G02 X547.929221 Y548.045446 Z-1.000000 I0.562053 J9.053629
G02 X542.076973 Y552.614932 Z-1.000000 I14.259484 J24.294753
G01 X534.824863 Y560.009129 Z-1.000000
G01 X553.429248 Y578.256013 Z-1.000000
G01 X560.681358 Y570.861817 Z-1.000000
G00 Z5.000000

(End cutting path id: path7278)


(Start cutting path id: path7278)
(Change tool to Cylindrical cutter)

G00 Z5.000000
G00 X566.350307 Y590.928783

G01 Z-1.000000 F100.0(Penetrate)
G01 X593.795407 Y617.846499 Z-1.000000 F400.000000
G01 X576.560456 Y635.419125 Z-1.000000
G01 X504.037377 Y564.289644 Z-1.000000
G01 X530.359849 Y537.451451 Z-1.000000
G03 X537.266290 Y531.097795 Z-1.000000 I65.247526 J63.993735
G03 X542.999835 Y526.968753 Z-1.000000 I33.071468 J39.877412
G03 X549.258070 Y523.828910 Z-1.000000 I20.359513 J32.773154
G03 X554.507779 Y522.450146 Z-1.000000 I8.473986 J21.581465
G03 X559.911630 Y522.401496 Z-1.000000 I2.882335 J20.014711
G03 X565.346578 Y523.812341 Z-1.000000 I-2.722275 J21.660768
G03 X570.345151 Y526.495882 Z-1.000000 I-9.676321 J24.021011
G03 X575.889603 Y531.063330 Z-1.000000 I-23.526861 J34.208340
G03 X581.855026 Y538.760303 Z-1.000000 I-25.189147 J25.682663
G03 X584.470265 Y545.926637 Z-1.000000 I-19.119184 J11.037601
G03 X584.520175 Y553.503744 Z-1.000000 I-21.244235 J3.928652
G03 X581.646104 Y562.409806 Z-1.000000 I-32.481092 J-5.565183
G03 X586.269458 Y560.460292 Z-1.000000 I8.423286 J13.519180
G03 X591.941314 Y559.880756 Z-1.000000 I4.906255 J19.972291
G03 X597.717212 Y560.580163 Z-1.000000 I-0.629523 J29.397948
G03 X606.953088 Y563.231335 Z-1.000000 I-17.471497 J78.278458
G01 X636.905174 Y573.892109 Z-1.000000
G01 X618.551071 Y592.605813 Z-1.000000
G01 X592.382158 Y583.237702 Z-1.000000
G02 X584.406888 Y581.130787 Z-1.000000 I-16.336844 J45.691790
G02 X579.936327 Y581.060515 Z-1.000000 I-2.456571 J14.042922
G02 X575.824247 Y582.435098 Z-1.000000 I1.528927 J11.411758
G02 X571.229815 Y585.953673 Z-1.000000 I10.049250 J17.880865
G01 X566.350307 Y590.928783 Z-1.000000
G00 Z5.000000

(End cutting path id: path7278)


(Start cutting path id: path873-2-2)
(Change tool to Cylindrical cutter)

G00 Z5.000000
G00 X478.152850 Y510.110850

G01 Z-1.000000 F100.0(Penetrate)
G03 X466.395874 Y520.685919 Z-1.000000 I-32.183982 J-23.957954 F400.000000
G03 X448.700696 Y527.532415 Z-1.000000 I-29.407489 J-49.715046
G03 X429.527206 Y528.551718 Z-1.000000 I-12.934560 J-62.464066
G03 X411.618990 Y523.888150 Z-1.000000 I5.795397 J-58.970252
G03 X396.629033 Y513.765930 Z-1.000000 I19.946844 J-45.699599
G03 X388.629734 Y501.312820 Z-1.000000 I23.394070 J-23.823008
G03 X386.988701 Y494.000144 Z-1.000000 I27.876808 J-10.096287
G03 X387.226718 Y486.809348 Z-1.000000 I28.251598 J-2.664201
G03 X389.243203 Y479.887724 Z-1.000000 I28.937789 J4.675934
G03 X393.199710 Y473.030770 Z-1.000000 I31.255642 J13.464769
G03 X405.504592 Y462.111585 Z-1.000000 I32.399743 J24.118618
G03 X422.651853 Y455.609231 Z-1.000000 I28.944124 J50.467554
G03 X441.120463 Y454.520687 Z-1.000000 I12.953398 J62.555094
G03 X459.733530 Y459.253490 Z-1.000000 I-5.122595 J59.112971
G03 X468.096087 Y463.844345 Z-1.000000 I-21.111503 J48.367963
G03 X474.376791 Y469.009767 Z-1.000000 I-23.763875 J35.295908
G03 X479.486099 Y475.316234 Z-1.000000 I-27.105418 J27.182921
G03 X482.722796 Y481.828804 Z-1.000000 I-26.882740 J17.421110
G03 X484.345205 Y488.888888 Z-1.000000 I-28.075015 J10.168099
G03 X484.178999 Y496.074524 Z-1.000000 I-28.130856 J2.944064
G03 X482.231947 Y502.979100 Z-1.000000 I-28.597819 J-4.337608
G03 X478.152850 Y510.110850 Z-1.000000 I-31.522248 J-13.297138
G01 X478.152850 Y510.110850 Z-1.000000
G00 Z5.000000

(End cutting path id: path873-2-2)


(Start cutting path id: path873-2-2)
(Change tool to Cylindrical cutter)

G00 Z5.000000
G00 X477.787960 Y399.429660

G01 Z-1.000000 F100.0(Penetrate)
G03 X466.757720 Y409.466113 Z-1.000000 I-30.449657 J-22.385274 F400.000000
G03 X450.224730 Y415.939016 Z-1.000000 I-27.526244 J-45.956497
G03 X432.287773 Y416.904027 Z-1.000000 I-12.098817 J-57.702088
G03 X415.521270 Y412.485570 Z-1.000000 I5.439590 J-54.662090
G03 X401.517762 Y402.918406 Z-1.000000 I18.816027 J-42.573205
G03 X394.006434 Y391.092307 Z-1.000000 I22.395907 J-22.523178
G03 X392.470488 Y384.164515 Z-1.000000 I26.728172 J-9.560007
G03 X392.693399 Y377.348250 Z-1.000000 I27.113747 J-2.525082
G03 X394.583238 Y370.782166 Z-1.000000 I27.721437 J4.423730
G03 X398.283310 Y364.291130 Z-1.000000 I29.740447 J12.652796
G03 X409.826921 Y353.929243 Z-1.000000 I30.645086 J22.529014
G03 X425.846539 Y347.781808 Z-1.000000 I27.088829 J46.644356
G03 X443.123810 Y346.751342 Z-1.000000 I12.115692 J57.782717
G03 X460.549970 Y351.235260 Z-1.000000 I-4.808735 J54.792719
G03 X468.368899 Y355.580787 Z-1.000000 I-19.872907 J44.964506
G03 X474.254071 Y360.480687 Z-1.000000 I-22.519000 J33.031352
G03 X479.031078 Y366.449515 Z-1.000000 I-25.758506 J25.511189
G03 X482.064799 Y372.628501 Z-1.000000 I-25.730687 J16.467330
G03 X483.583256 Y379.316898 Z-1.000000 I-26.916410 J9.627359
G03 X483.427610 Y386.128294 Z-1.000000 I-26.998776 J2.790531
G03 X481.602782 Y392.678426 Z-1.000000 I-27.400472 J-4.104350
G03 X477.787960 Y399.429660 Z-1.000000 I-29.995662 J-12.495804
G01 X477.787960 Y399.429660 Z-1.000000
G00 Z5.000000

(End cutting path id: path873-2-2)


(Start cutting path id: path873-2-2)
(Change tool to Cylindrical cutter)

G00 Z5.000000
G00 X305.971710 Y367.235320

G01 Z-1.000000 F100.0(Penetrate)
G03 X304.001831 Y366.328060 Z-1.000000 I21.379393 J-49.011974 F400.000000
G03 X302.063740 Y365.336990 Z-1.000000 I22.838994 J-47.053430
G03 X294.603984 Y360.400250 Z-1.000000 I23.288070 J-43.294359
G03 X289.115046 Y355.060225 Z-1.000000 I25.004133 J-31.192418
G03 X284.813562 Y348.740098 Z-1.000000 I27.652841 J-23.444411
G03 X282.266393 Y342.345155 Z-1.000000 I26.926252 J-14.429746
G03 X281.269323 Y335.559415 Z-1.000000 I27.579874 J-7.518600
G03 X281.950858 Y328.780410 Z-1.000000 I27.133678 J-0.695847
G03 X284.276396 Y322.390877 Z-1.000000 I27.001367 J6.209462
G03 X288.601520 Y315.954620 Z-1.000000 I28.940339 J14.776371
G03 X300.911329 Y306.515733 Z-1.000000 I28.812553 J24.829732
G03 X317.358091 Y301.624586 Z-1.000000 I23.403400 J48.598114
G03 X334.663332 Y301.932302 Z-1.000000 I7.614312 J58.546079
G03 X351.690890 Y307.749430 Z-1.000000 I-9.028452 J54.257155
G03 X355.731468 Y310.172251 Z-1.000000 I-23.934346 J44.496370
G03 X359.213800 Y312.735830 Z-1.000000 I-25.050155 J37.674773
G00 Z5.000000

(End cutting path id: path873-2-2)


(Start cutting path id: path873-2-2)
(Change tool to Cylindrical cutter)

G00 Z5.000000
G00 X261.780380 Y352.442910

G01 Z-1.000000 F100.0(Penetrate)
G03 X252.377234 Y364.780035 Z-1.000000 I-34.316323 J-16.403295 F400.000000
G03 X237.789156 Y373.813710 Z-1.000000 I-35.330715 J-40.758335
G03 X221.009061 Y378.055711 Z-1.000000 I-22.703642 J-54.499335
G03 X203.051882 Y376.908360 Z-1.000000 I-5.518612 J-54.725768
G03 X194.558453 Y374.101053 Z-1.000000 I11.117223 J-47.886810
G03 X187.861066 Y370.387661 Z-1.000000 I15.947380 J-36.658647
G03 X182.052490 Y365.417029 Z-1.000000 I20.535553 J-29.876616
G03 X177.917186 Y359.914065 Z-1.000000 I22.198825 J-20.986976
G03 X175.175211 Y353.627416 Z-1.000000 I24.642268 J-14.489227
G03 X174.054837 Y346.906990 Z-1.000000 I26.001216 J-7.788311
G03 X174.623061 Y340.131197 Z-1.000000 I27.684716 J-1.090057
G03 X177.108609 Y332.785850 Z-1.000000 I31.802806 J6.668353
G03 X186.511752 Y320.448724 Z-1.000000 I34.316320 J16.403283
G03 X201.099827 Y311.415046 Z-1.000000 I35.330720 J40.758323
G03 X217.879920 Y307.173043 Z-1.000000 I22.703651 J54.499329
G03 X235.837100 Y308.320390 Z-1.000000 I5.518623 J54.725773
G03 X244.330532 Y311.127697 Z-1.000000 I-11.117214 J47.886819
G03 X251.027923 Y314.841089 Z-1.000000 I-15.947375 J36.658654
G03 X256.836500 Y319.811722 Z-1.000000 I-20.535550 J29.876621
G03 X260.971806 Y325.314687 Z-1.000000 I-22.198824 J20.986978
G03 X263.713782 Y331.601338 Z-1.000000 I-24.642267 J14.489228
G03 X264.834156 Y338.321766 Z-1.000000 I-26.001216 J7.788310
G03 X264.265931 Y345.097560 Z-1.000000 I-27.684717 J1.090054
G03 X261.780380 Y352.442910 Z-1.000000 I-31.802810 J-6.668360
G01 X261.780380 Y352.442910 Z-1.000000
G00 Z5.000000

(End cutting path id: path873-2-2)


(Start cutting path id: path873-2-2)
(Change tool to Cylindrical cutter)

G00 Z5.000000
G00 X160.739354 Y389.806420

G01 Z-1.000000 F100.0(Penetrate)
G03 X153.935883 Y404.874504 Z-1.000000 I-39.387982 J-8.714301 F400.000000
G03 X140.877975 Y417.807152 Z-1.000000 I-46.667936 J-34.061423
G03 X124.379854 Y426.278988 Z-1.000000 I-36.963752 J-51.683302
G03 X105.308292 Y429.450560 Z-1.000000 I-19.169789 J-56.346235
G03 X95.737308 Y428.598669 Z-1.000000 I-0.087794 J-53.204488
G03 X87.827371 Y426.371161 Z-1.000000 I7.696178 J-42.487277
G03 X80.532209 Y422.619735 Z-1.000000 I14.121940 J-36.430979
G03 X74.866540 Y417.916085 Z-1.000000 I17.937737 J-27.370520
G03 X70.458515 Y412.052757 Z-1.000000 I22.005059 J-21.131942
G03 X67.645784 Y405.355723 Z-1.000000 I24.919941 J-14.405474
G03 X66.582773 Y398.185944 Z-1.000000 I28.249082 J-7.851979
G03 X67.385090 Y389.960470 Z-1.000000 I34.365720 J-0.799815
G03 X74.188561 Y374.892386 Z-1.000000 I39.387982 J8.714301
G03 X87.246469 Y361.959738 Z-1.000000 I46.667936 J34.061423
G03 X103.744590 Y353.487902 Z-1.000000 I36.963752 J51.683302
G03 X122.816152 Y350.316330 Z-1.000000 I19.169789 J56.346235
G03 X132.387136 Y351.168221 Z-1.000000 I0.087794 J53.204488
G03 X140.297073 Y353.395729 Z-1.000000 I-7.696178 J42.487277
G03 X147.592235 Y357.147155 Z-1.000000 I-14.121940 J36.430979
G03 X153.257904 Y361.850805 Z-1.000000 I-17.937737 J27.370520
G03 X157.665929 Y367.714133 Z-1.000000 I-22.005059 J21.131942
G03 X160.478660 Y374.411167 Z-1.000000 I-24.919941 J14.405474
G03 X161.541671 Y381.580946 Z-1.000000 I-28.249082 J7.851979
G03 X160.739354 Y389.806420 Z-1.000000 I-34.365720 J0.799815
G01 X160.739354 Y389.806420 Z-1.000000
G00 Z5.000000

(End cutting path id: path873-2-2)


(Start cutting path id: path873-2-2)
(Change tool to Cylindrical cutter)

G00 Z5.000000
G00 X210.278585 Y485.554700

G01 Z-1.000000 F100.0(Penetrate)
G01 X110.447547 Y480.250880 Z-1.000000 F400.000000
G03 X90.296002 Y476.861727 Z-1.000000 I20.730783 J-184.867119
G03 X75.618984 Y472.550125 Z-1.000000 I26.220069 J-116.391727
G03 X61.762821 Y466.207631 Z-1.000000 I32.932537 J-90.252952
G03 X52.066458 Y459.598038 Z-1.000000 I31.917439 J-57.240465
G03 X43.843796 Y451.270802 Z-1.000000 I35.871660 J-43.644496
G03 X38.452188 Y442.856242 Z-1.000000 I37.044907 J-29.671045
G03 X34.943693 Y433.457392 Z-1.000000 I41.957705 J-21.016649
G03 X33.438389 Y423.786360 Z-1.000000 I49.588566 J-12.671171
G03 X33.726462 Y413.938298 Z-1.000000 I56.021880 J-3.289502
G03 X35.687278 Y403.850014 Z-1.000000 I68.258735 J8.032449
G03 X39.075494 Y394.105879 Z-1.000000 I73.406591 J20.063696
G03 X43.861071 Y384.508827 Z-1.000000 I82.149632 J34.972282
G03 X56.716977 Y367.056592 Z-1.000000 I83.851871 J48.306957
G03 X72.632241 Y353.458420 Z-1.000000 I65.992591 J61.124874
G03 X120.558063 Y326.403512 Z-1.000000 I200.433505 J299.077498
G03 X164.225701 Y309.430399 Z-1.000000 I148.886345 J318.388299
G03 X209.994568 Y298.317589 Z-1.000000 I107.171382 J341.585134
G03 X249.521539 Y293.577805 Z-1.000000 I64.416788 J370.012024
G03 X289.553628 Y293.006866 Z-1.000000 I25.494733 J383.859669
G03 X320.137890 Y295.384148 Z-1.000000 I-14.575728 J385.445318
G03 X350.673994 Y300.291846 Z-1.000000 I-43.113475 J365.708547
G03 X367.692890 Y304.332940 Z-1.000000 I-55.071593 J269.789424
G00 Z5.000000

(End cutting path id: path873-2-2)


(Start cutting path id: path873-2-2)
(Change tool to Cylindrical cutter)

G00 Z5.000000
G00 X242.707290 Y516.164520

G01 Z-1.000000 F100.0(Penetrate)
G03 X242.625651 Y516.847993 Z-1.000000 I-1.703180 J0.143172 F400.000000
G03 X241.954318 Y518.518025 Z-1.000000 I-14.100987 J-4.698479
G03 X241.131122 Y520.139382 Z-1.000000 I-30.430289 J-14.430427
G03 X239.768003 Y522.600703 Z-1.000000 I-137.966799 J-74.800092
G03 X236.946974 Y527.560063 Z-1.000000 I-1012.668377 J-572.753157
G02 X232.945012 Y534.908300 Z-1.000000 I173.461078 J99.233450
G02 X229.327460 Y542.389154 Z-1.000000 I134.959453 J69.878089
G02 X225.937652 Y550.996756 Z-1.000000 I88.056440 J39.649279
G02 X223.507795 Y559.843911 Z-1.000000 I73.409574 J24.919079
G02 X222.445256 Y568.775519 Z-1.000000 I48.721761 J10.325137
G02 X223.169830 Y577.566032 Z-1.000000 I40.076022 J1.121781
G02 X226.167159 Y586.154032 Z-1.000000 I31.252054 J-6.090339
G02 X231.388750 Y593.466055 Z-1.000000 I28.366526 J-14.736419
G02 X240.802694 Y601.041741 Z-1.000000 I33.227788 J-31.653619
G02 X251.831679 Y606.320316 Z-1.000000 I32.034934 J-52.772171
G02 X270.051197 Y611.348092 Z-1.000000 I41.297556 J-114.127379
G02 X288.928458 Y613.928170 Z-1.000000 I32.668357 J-168.671316
G02 X317.612000 Y614.982530 Z-1.000000 I26.420932 J-328.082823
G02 X351.419507 Y612.224354 Z-1.000000 I-1.565726 J-227.763148
G02 X381.520756 Y605.602859 Z-1.000000 I-39.523410 J-251.403765
G02 X410.792292 Y595.435126 Z-1.000000 I-74.140499 J-260.658789
G02 X435.110660 Y584.079896 Z-1.000000 I-113.010665 J-273.741454
G02 X458.420588 Y570.508179 Z-1.000000 I-138.805907 J-265.207997
G02 X474.975751 Y558.936730 Z-1.000000 I-145.077673 J-225.189637
G02 X490.643959 Y545.918047 Z-1.000000 I-134.941506 J-178.342227
G02 X497.710070 Y538.696450 Z-1.000000 I-59.280683 J-65.072115
G02 X512.239486 Y518.780960 Z-1.000000 I-107.156187 J-93.433911
G02 X520.222331 Y502.370885 Z-1.000000 I-86.203125 J-52.081081
G02 X524.995706 Y484.696688 Z-1.000000 I-87.265270 J-33.049932
G02 X526.313523 Y469.260331 Z-1.000000 I-95.174078 J-15.899532
G02 X525.278421 Y453.629289 Z-1.000000 I-110.527732 J-0.530549
G02 X522.793970 Y439.648664 Z-1.000000 I-181.212604 J24.991634
G02 X519.429562 Y425.759291 Z-1.000000 I-304.114049 J66.313063
G03 X516.474000 Y413.819760 Z-1.000000 I331.170289 J-88.314865
G00 Z5.000000

(End cutting path id: path873-2-2)


(Start cutting path id: path7284)
(Change tool to Cylindrical cutter)

G00 Z5.000000
G00 X704.231434 Y360.173303

G01 Z-1.000000 F100.0(Penetrate)
G01 X732.836981 Y331.007305 Z-1.000000 F400.000000
G03 X739.582593 Y324.990092 Z-1.000000 I48.405057 J47.474909
G03 X745.649119 Y321.029265 Z-1.000000 I26.762178 J34.363532
G03 X752.287046 Y318.263586 Z-1.000000 I17.050337 J31.573939
G03 X758.568846 Y317.111764 Z-1.000000 I8.212908 J27.085768
G03 X764.930121 Y317.386579 Z-1.000000 I2.027803 J26.822588
G03 X771.137796 Y319.163431 Z-1.000000 I-4.456512 J27.301543
G03 X776.842032 Y322.277959 Z-1.000000 I-12.065577 J28.878913
G03 X782.905209 Y327.279469 Z-1.000000 I-25.989727 J37.682407
G03 X788.048354 Y333.268636 Z-1.000000 I-32.346062 J32.979800
G03 X791.296591 Y338.934856 Z-1.000000 I-25.659946 J18.474068
G03 X793.218400 Y345.132902 Z-1.000000 I-25.543836 J11.317265
G03 X793.640291 Y351.509279 Z-1.000000 I-26.635359 J4.964465
G03 X792.591246 Y357.787426 Z-1.000000 I-28.244520 J-1.492790
G03 X789.937747 Y364.466846 Z-1.000000 I-34.673075 J-9.907615
G03 X786.087472 Y370.599408 Z-1.000000 I-38.929417 J-20.166525
G03 X780.198003 Y377.458241 Z-1.000000 I-54.679347 J-40.993503
G01 X768.827415 Y389.051607 Z-1.000000
G01 X793.989471 Y413.730152 Z-1.000000
G01 X776.754513 Y431.302784 Z-1.000000
G01 X704.231434 Y360.173303 Z-1.000000
G00 Z5.000000

(End cutting path id: path7284)


(Start cutting path id: path7284)
(Change tool to Cylindrical cutter)

G00 Z5.000000
G00 X735.018927 Y355.892781

G01 Z-1.000000 F100.0(Penetrate)
G01 X755.274873 Y375.759490 Z-1.000000 F400.000000
G01 X764.810051 Y366.037495 Z-1.000000
G02 X768.744424 Y360.471755 Z-1.000000 I-15.237555 J-14.944751
G02 X769.931513 Y355.568554 Z-1.000000 I-10.503022 J-5.138135
G02 X768.854003 Y350.633986 Z-1.000000 I-11.273520 J-0.123246
G02 X765.133060 Y345.399817 Z-1.000000 I-16.483218 J7.778149
G02 X762.550100 Y343.244292 Z-1.000000 I-14.690894 J14.978724
G02 X760.151455 Y341.879561 Z-1.000000 I-8.147563 J11.529826
G02 X757.539100 Y341.050970 Z-1.000000 I-4.981648 J11.173606
G02 X754.921716 Y340.847184 Z-1.000000 I-2.174118 J11.013489
G02 X750.042468 Y342.129175 Z-1.000000 I0.461684 J11.683353
G02 X744.554105 Y346.170786 Z-1.000000 I9.749191 J18.986362
G01 X735.018927 Y355.892781 Z-1.000000
G00 Z5.000000

(End cutting path id: path7284)


(Start cutting path id: path7286)
(Change tool to Cylindrical cutter)

G00 Z5.000000
G00 X762.069246 Y301.202310

G01 Z-1.000000 F100.0(Penetrate)
G01 X780.915777 Y281.986530 Z-1.000000 F400.000000
G01 X821.978367 Y291.813377 Z-1.000000
G01 X811.356734 Y250.949161 Z-1.000000
G01 X830.248029 Y231.687741 Z-1.000000
G01 X846.745261 Y298.821384 Z-1.000000
G01 X877.299192 Y328.788193 Z-1.000000
G01 X860.064240 Y346.360818 Z-1.000000
G01 X829.510309 Y316.394009 Z-1.000000
G01 X762.069246 Y301.202310 Z-1.000000
G00 Z5.000000

(End cutting path id: path7286)


(Start cutting path id: path3734)
(Change tool to Cylindrical cutter)

G00 Z5.000000
G00 X1092.376522 Y266.529748

G01 Z-1.000000 F100.0(Penetrate)
G02 X1086.307764 Y266.637349 Z-1.000000 I0.005260 J171.490886 F400.000000
G02 X1080.246614 Y266.959646 Z-1.000000 I6.074019 J171.383285
G02 X1071.712389 Y267.779523 Z-1.000000 I12.127273 J171.061548
G02 X1063.229805 Y269.024902 Z-1.000000 I20.661498 J170.241671
G02 X1054.819921 Y270.692806 Z-1.000000 I29.146058 J168.995950
G02 X1046.503907 Y272.778947 Z-1.000000 I37.555943 J167.328046
G02 X1038.302036 Y275.278355 Z-1.000000 I45.873336 J165.241523
G02 X1030.235343 Y278.184591 Z-1.000000 I54.075207 J162.742115
G02 X1022.324604 Y281.490095 Z-1.000000 I62.141543 J159.836018
G02 X1014.588955 Y285.186837 Z-1.000000 I70.052282 J156.530514
G02 X1007.047773 Y289.265625 Z-1.000000 I77.789047 J152.833203
G02 X999.719868 Y293.716215 Z-1.000000 I85.330229 J148.754415
G02 X992.623664 Y298.527339 Z-1.000000 I92.657260 J144.304387
G02 X985.776777 Y303.687102 Z-1.000000 I99.753464 J139.493263
G02 X979.196247 Y309.183008 Z-1.000000 I106.604304 J134.330363
G02 X972.898624 Y315.000936 Z-1.000000 I113.184834 J128.834457
G02 X966.899065 Y321.125819 Z-1.000000 I119.471183 J123.027478
G02 X961.213123 Y327.542902 Z-1.000000 I125.470742 J116.902595
G02 X955.855846 Y334.236911 Z-1.000000 I131.171206 J110.468270
G02 X950.839832 Y341.190311 Z-1.000000 I136.528483 J103.774262
G02 X946.176674 Y348.385146 Z-1.000000 I141.532012 J96.839112
G02 X941.878944 Y355.804054 Z-1.000000 I146.195169 J89.644277
G02 X937.957800 Y363.428175 Z-1.000000 I150.495161 J82.221230
G02 X934.422590 Y371.238737 Z-1.000000 I154.416305 J74.597109
G02 X931.282533 Y379.216315 Z-1.000000 I157.954575 J66.779311
G02 X928.545097 Y387.340855 Z-1.000000 I161.094631 J58.801732
G02 X926.217199 Y395.592619 Z-1.000000 I163.833324 J50.673129
G02 X924.304636 Y403.950418 Z-1.000000 I166.161222 J42.421366
G02 X922.812038 Y412.392815 Z-1.000000 I168.072875 J34.068060
G02 X921.743234 Y420.899258 Z-1.000000 I169.565472 J25.625662
G02 X921.100894 Y429.449468 Z-1.000000 I170.634374 J17.118250
G02 X920.886722 Y438.021097 Z-1.000000 I171.276714 J8.568040
G02 X920.993509 Y444.089841 Z-1.000000 I171.490885 J0.017704
G02 X921.314991 Y450.151005 Z-1.000000 I171.384097 J-6.051040
G02 X922.135687 Y458.685241 Z-1.000000 I171.060399 J-12.143470
G02 X923.381889 Y467.167794 Z-1.000000 I170.239703 J-20.677706
G02 X925.049784 Y475.577678 Z-1.000000 I168.995983 J-29.145869
G02 X927.135914 Y483.893693 Z-1.000000 I167.328089 J-37.555754
G02 X929.634508 Y492.095541 Z-1.000000 I165.245622 J-45.858569
G02 X932.539916 Y500.162256 Z-1.000000 I162.747028 J-54.060417
G02 X935.846230 Y508.073028 Z-1.000000 I159.830756 J-62.155076
G02 X939.543798 Y515.808661 Z-1.000000 I156.524442 J-70.065848
G02 X943.621791 Y523.349818 Z-1.000000 I152.839353 J-77.776964
G02 X948.071567 Y530.677748 Z-1.000000 I148.761360 J-85.318120
G02 X952.883507 Y537.773983 Z-1.000000 I144.297408 J-92.668129
G02 X958.044106 Y544.620846 Z-1.000000 I139.485468 J-99.764364
G02 X963.539208 Y551.201319 Z-1.000000 I134.337406 J-106.595428
G02 X969.356311 Y557.498946 Z-1.000000 I128.842304 J-113.175901
G02 X975.482000 Y563.498560 Z-1.000000 I123.020375 J-119.478497
G02 X981.899913 Y569.184493 Z-1.000000 I116.894686 J-125.478111
G02 X988.593106 Y574.541731 Z-1.000000 I110.475352 J-131.165241
G02 X995.545670 Y579.557774 Z-1.000000 I103.782159 J-136.522480
G02 X1002.740510 Y584.220920 Z-1.000000 I96.838905 J-141.532154
G02 X1010.159423 Y588.518638 Z-1.000000 I89.644064 J-146.195300
G02 X1017.784370 Y592.439009 Z-1.000000 I82.202681 J-150.505293
G02 X1025.595728 Y595.973388 Z-1.000000 I74.577734 J-154.425664
G02 X1033.573284 Y599.114270 Z-1.000000 I66.793741 J-157.948473
G02 X1041.697849 Y601.852518 Z-1.000000 I58.816185 J-161.089355
G02 X1049.949612 Y604.180417 Z-1.000000 I50.673129 J-163.833324
G02 X1058.307412 Y606.092980 Z-1.000000 I42.421366 J-166.161222
G02 X1066.749842 Y607.585569 Z-1.000000 I34.067801 J-168.072927
G02 X1075.256318 Y608.654362 Z-1.000000 I25.625370 J-169.565516
G02 X1083.805712 Y609.296648 Z-1.000000 I17.117986 J-170.634400
G02 X1092.376522 Y609.510848 Z-1.000000 I8.568592 J-171.276686
G02 X1098.446094 Y609.404103 Z-1.000000 I0.019730 J-171.490885
G02 X1104.508085 Y609.082605 Z-1.000000 I-6.049842 J-171.384140
G02 X1113.042321 Y608.261919 Z-1.000000 I-12.143275 J-171.060413
G02 X1121.524874 Y607.015726 Z-1.000000 I-20.677511 J-170.239727
G02 X1129.934752 Y605.347827 Z-1.000000 I-29.145999 J-168.995961
G02 X1138.250759 Y603.261692 Z-1.000000 I-37.555877 J-167.328061
G02 X1146.451813 Y600.762245 Z-1.000000 I-45.879008 J-165.239948
G02 X1154.517701 Y597.856048 Z-1.000000 I-54.080062 J-162.740502
G02 X1162.428432 Y594.550543 Z-1.000000 I-62.141613 J-159.835991
G02 X1170.164072 Y590.853802 Z-1.000000 I-70.052344 J-156.530486
G02 X1177.705271 Y586.775014 Z-1.000000 I-77.788888 J-152.833285
G02 X1185.033193 Y582.324424 Z-1.000000 I-85.330086 J-148.754497
G02 X1192.130204 Y577.513317 Z-1.000000 I-92.649120 J-144.309613
G02 X1198.977879 Y572.353503 Z-1.000000 I-99.746132 J-139.498506
G02 X1205.558370 Y566.858398 Z-1.000000 I-106.595284 J-134.337520
G02 X1211.856012 Y561.041291 Z-1.000000 I-113.175775 J-128.842415
G02 X1217.854788 Y554.915578 Z-1.000000 I-119.487530 J-123.011601
G02 X1223.539904 Y548.497703 Z-1.000000 I-125.486306 J-116.885888
G02 X1228.897980 Y541.804540 Z-1.000000 I-131.156416 J-110.485830
G02 X1233.914841 Y534.851950 Z-1.000000 I-136.514491 J-103.792667
G02 X1238.577167 Y527.657072 Z-1.000000 I-141.540266 J-96.827047
G02 X1242.874083 Y520.238173 Z-1.000000 I-146.202593 J-89.632170
G02 X1246.795273 Y512.613250 Z-1.000000 I-150.498120 J-82.215812
G02 X1250.330454 Y504.801868 Z-1.000000 I-154.419310 J-74.590889
G02 X1253.470519 Y496.824291 Z-1.000000 I-157.954513 J-66.779456
G02 X1256.207963 Y488.699750 Z-1.000000 I-161.094578 J-58.801879
G02 X1258.536677 Y480.448008 Z-1.000000 I-163.828619 J-50.688339
G02 X1260.450047 Y472.090188 Z-1.000000 I-166.157333 J-42.436597
G02 X1261.942636 Y463.647757 Z-1.000000 I-168.072927 J-34.067801
G02 X1263.011429 Y455.141281 Z-1.000000 I-169.565516 J-25.625370
G02 X1263.653714 Y446.591897 Z-1.000000 I-170.634400 J-17.117986
G02 X1263.867914 Y438.021097 Z-1.000000 I-171.276686 J-8.568602
G02 X1263.760358 Y431.951527 Z-1.000000 I-171.490886 J0.003171
G02 X1263.438050 Y425.889567 Z-1.000000 I-171.383330 J6.072741
G02 X1262.618172 Y417.355352 Z-1.000000 I-171.061546 J12.127307
G02 X1261.372793 Y408.872779 Z-1.000000 I-170.241668 J20.661522
G02 X1259.704877 Y400.462910 Z-1.000000 I-168.995897 J29.146366
G02 X1257.618726 Y392.146913 Z-1.000000 I-167.327981 J37.556235
G02 X1255.119295 Y383.945859 Z-1.000000 I-165.240031 J45.878710
G02 X1252.213115 Y375.879971 Z-1.000000 I-162.740601 J54.079764
G02 X1248.907610 Y367.969240 Z-1.000000 I-159.835991 J62.141613
G02 X1245.210868 Y360.233600 Z-1.000000 I-156.530486 J70.052344
G02 X1241.132116 Y352.691581 Z-1.000000 I-152.837266 J77.781066
G02 X1236.681490 Y345.362858 Z-1.000000 I-148.758513 J85.323084
G02 X1231.870349 Y338.266667 Z-1.000000 I-144.304158 J92.657617
G02 X1226.710570 Y331.419793 Z-1.000000 I-139.493017 J99.753808
G02 X1221.214665 Y324.839257 Z-1.000000 I-134.330420 J106.604232
G02 X1215.396736 Y318.541627 Z-1.000000 I-128.834515 J113.184768
G02 X1209.271807 Y312.542898 Z-1.000000 I-123.018567 J119.480359
G02 X1202.854737 Y306.857768 Z-1.000000 I-116.893638 J125.479087
G02 X1196.160772 Y301.499676 Z-1.000000 I-110.478605 J131.162501
G02 X1189.207361 Y296.482864 Z-1.000000 I-103.784641 J136.520593
G02 X1182.012500 Y291.820539 Z-1.000000 I-96.827178 J141.540176
G02 X1174.593618 Y287.523622 Z-1.000000 I-89.632317 J146.202502
G02 X1166.969497 Y283.602469 Z-1.000000 I-82.221364 J150.495087
G02 X1159.158935 Y280.067251 Z-1.000000 I-74.597243 J154.416240
G02 X1151.180553 Y276.927148 Z-1.000000 I-66.775035 J157.956382
G02 X1143.055195 Y274.189742 Z-1.000000 I-58.796653 J161.096485
G02 X1134.804259 Y271.861062 Z-1.000000 I-50.691516 J163.827636
G02 X1126.447254 Y269.947648 Z-1.000000 I-42.440580 J166.156315
G02 X1118.004022 Y268.455020 Z-1.000000 I-34.066225 J168.073247
G02 X1109.496739 Y267.386267 Z-1.000000 I-25.622993 J169.565876
G02 X1100.947339 Y266.743964 Z-1.000000 I-17.118316 J170.634367
G02 X1092.376522 Y266.529748 Z-1.000000 I-8.568916 J171.276670
G01 X1092.376522 Y266.529748 Z-1.000000
G00 Z5.000000

(End cutting path id: path3734)


(Start cutting path id: path12)
(Change tool to Cylindrical cutter)

G00 Z5.000000
G00 X1092.377349 Y256.520948

G01 Z-1.000000 F100.0(Penetrate)
G03 X1101.448339 Y256.747658 Z-1.000000 I0.002184 J181.497096 F400.000000
G03 X1110.496668 Y257.427430 Z-1.000000 I-9.069298 J181.280234
G03 X1119.500409 Y258.558565 Z-1.000000 I-18.114953 J180.593645
G03 X1128.436388 Y260.138314 Z-1.000000 I-27.118638 J179.462138
G03 X1137.281109 Y262.163387 Z-1.000000 I-36.072481 J177.878046
G03 X1146.013543 Y264.627957 Z-1.000000 I-44.916429 J175.849948
G03 X1154.613079 Y267.525108 Z-1.000000 I-53.626842 J173.390642
G03 X1163.057041 Y270.848451 Z-1.000000 I-62.228281 J170.498706
G03 X1171.323424 Y274.589978 Z-1.000000 I-70.686251 J167.173902
G03 X1179.392493 Y278.739959 Z-1.000000 I-78.950999 J163.428989
G03 X1187.244324 Y283.287641 Z-1.000000 I-87.007784 J159.276023
G03 X1194.859082 Y288.222069 Z-1.000000 I-94.868152 J154.742269
G03 X1202.218273 Y293.531662 Z-1.000000 I-102.482178 J149.796916
G03 X1209.302872 Y299.202450 Z-1.000000 I-109.840766 J144.486530
G03 X1216.094432 Y305.219340 Z-1.000000 I-116.921492 J138.816475
G03 X1222.576813 Y311.568175 Z-1.000000 I-123.704123 J132.790000
G03 X1228.734266 Y318.233304 Z-1.000000 I-130.204437 J126.463689
G03 X1234.550900 Y325.197843 Z-1.000000 I-136.343467 J119.782374
G03 X1240.011796 Y332.444322 Z-1.000000 I-142.186875 J112.831928
G03 X1245.103700 Y339.954665 Z-1.000000 I-147.617855 J105.564056
G03 X1249.814039 Y347.711030 Z-1.000000 I-152.735117 J98.062493
G03 X1254.130825 Y355.693179 Z-1.000000 I-157.429876 J90.297191
G03 X1258.043304 Y363.880268 Z-1.000000 I-161.744201 J82.323371
G03 X1261.541720 Y372.252699 Z-1.000000 I-165.670611 J74.142517
G03 X1264.617515 Y380.789283 Z-1.000000 I-169.143380 J65.766015
G03 X1267.262813 Y389.468963 Z-1.000000 I-172.240401 J57.236484
G03 X1269.470685 Y398.270279 Z-1.000000 I-174.875057 J48.546239
G03 X1271.235916 Y407.170928 Z-1.000000 I-177.106652 J39.750248
G03 X1272.553998 Y416.148530 Z-1.000000 I-178.841163 J30.842830
G03 X1273.421746 Y425.180794 Z-1.000000 I-180.192468 J21.869260
G03 X1273.762886 Y431.596534 Z-1.000000 I-180.976621 J12.839894
G03 X1273.876698 Y438.020303 Z-1.000000 I-181.386060 J6.426574
G03 X1273.649971 Y447.091293 Z-1.000000 I-181.491837 J0.001985
G03 X1272.970202 Y456.139621 Z-1.000000 I-181.301272 J-9.070814
G03 X1271.839023 Y465.142526 Z-1.000000 I-180.604445 J-18.119715
G03 X1270.259321 Y474.077633 Z-1.000000 I-179.451783 J-27.119374
G03 X1268.234290 Y482.923193 Z-1.000000 I-177.869479 J-36.065436
G03 X1265.769672 Y491.656476 Z-1.000000 I-175.858619 J-44.914615
G03 X1262.872479 Y500.255153 Z-1.000000 I-173.406588 J-53.639286
G03 X1259.549178 Y508.698286 Z-1.000000 I-170.488106 J-62.230192
G03 X1255.807695 Y516.965528 Z-1.000000 I-167.181366 J-70.680561
G03 X1251.657680 Y525.035427 Z-1.000000 I-163.423048 J-78.939671
G03 X1247.110014 Y532.887257 Z-1.000000 I-159.285779 J-87.013113
G03 X1242.175603 Y540.502015 Z-1.000000 I-154.732791 J-94.861680
G03 X1236.865989 Y547.860344 Z-1.000000 I-149.777001 J-102.481090
G03 X1231.195222 Y554.944117 Z-1.000000 I-144.486261 J-109.853768
G03 X1225.178317 Y561.736561 Z-1.000000 I-138.833909 J-116.921125
G03 X1218.829464 Y568.219780 Z-1.000000 I-132.805602 J-123.702948
G03 X1212.164315 Y574.376356 Z-1.000000 I-126.455765 J-130.215671
G03 X1205.199796 Y580.192146 Z-1.000000 I-119.768052 J-136.346561
G03 X1197.952492 Y585.653046 Z-1.000000 I-112.813788 J-142.178647
G03 X1190.441286 Y590.744912 Z-1.000000 I-105.571489 J-147.646546
G03 X1182.685722 Y595.455270 Z-1.000000 I-98.063522 J-152.720837
G03 X1174.704460 Y599.772103 Z-1.000000 I-90.309029 J-157.433062
G03 X1166.517365 Y603.684587 Z-1.000000 I-82.324055 J-161.745545
G03 X1158.144973 Y607.182999 Z-1.000000 I-74.144652 J-165.675217
G03 X1149.608370 Y610.258766 Z-1.000000 I-65.774189 J-169.167950
G03 X1140.928709 Y612.904058 Z-1.000000 I-57.236359 J-172.240027
G03 X1132.127374 Y615.111949 Z-1.000000 I-48.549120 J-174.885435
G03 X1123.226725 Y616.877195 Z-1.000000 I-39.748804 J-177.097864
G03 X1114.249150 Y618.196133 Z-1.000000 I-30.861231 J-178.849020
G03 X1105.216859 Y619.064712 Z-1.000000 I-21.883089 J-180.163285
G03 X1098.801111 Y619.404954 Z-1.000000 I-12.822678 J-181.130842
G03 X1092.377349 Y619.517943 Z-1.000000 I-6.402732 J-181.352167
G03 X1083.306338 Y619.291221 Z-1.000000 I-0.001985 J-181.496156
G03 X1074.258012 Y618.611481 Z-1.000000 I9.071369 J-181.316262
G03 X1065.255114 Y617.480287 Z-1.000000 I18.118446 J-180.591797
G03 X1056.319966 Y615.900567 Z-1.000000 I27.122597 J-179.468900
G03 X1047.474431 Y613.876400 Z-1.000000 I36.051777 J-177.884353
G03 X1038.741123 Y611.412671 Z-1.000000 I44.897962 J-175.862733
G03 X1030.142434 Y608.514632 Z-1.000000 I53.654481 J-173.402139
G03 X1021.699316 Y605.190456 Z-1.000000 I62.243358 J-170.477227
G03 X1013.432094 Y601.449805 Z-1.000000 I70.662462 J-167.177282
G03 X1005.362166 Y597.300646 Z-1.000000 I78.933592 J-163.444723
G03 X997.510297 Y592.752114 Z-1.000000 I87.019924 J-159.268846
G03 X989.895577 Y587.816815 Z-1.000000 I94.875824 J-154.726887
G03 X982.537272 Y582.508032 Z-1.000000 I102.487664 J-149.808236
G03 X975.453479 Y576.838155 Z-1.000000 I109.834983 J-144.485001
G03 X968.661027 Y570.820439 Z-1.000000 I116.921628 J-138.816739
G03 X962.177840 Y564.470710 Z-1.000000 I123.711060 J-132.795781
G03 X956.021259 Y557.805543 Z-1.000000 I130.200167 J-126.441205
G03 X950.205470 Y550.841008 Z-1.000000 I136.362744 J-119.781305
G03 X944.743724 Y543.594590 Z-1.000000 I142.163043 J-112.832162
G03 X939.650976 Y536.084219 Z-1.000000 I147.620288 J-105.582524
G03 X934.941507 Y528.328652 Z-1.000000 I152.738436 J-98.056116
G03 X930.625523 Y520.347426 Z-1.000000 I157.438515 J-90.295164
G03 X926.712176 Y512.160362 Z-1.000000 I161.740827 J-82.339530
G03 X923.212912 Y503.787907 Z-1.000000 I165.657665 J-74.154028
G03 X920.137950 Y495.250449 Z-1.000000 I169.164184 J-65.750877
G03 X917.493541 Y486.569954 Z-1.000000 I172.246671 J-57.215919
G03 X915.285659 Y477.768622 Z-1.000000 I174.883199 J-48.548400
G03 X913.520424 Y468.867957 Z-1.000000 I177.095193 J-39.747991
G03 X912.201499 Y459.890384 Z-1.000000 I178.854470 J-30.861775
G03 X911.332910 Y450.858091 Z-1.000000 I180.175451 J-21.884451
G03 X910.992680 Y444.443204 Z-1.000000 I181.059728 J-12.819430
G03 X910.879669 Y438.020303 Z-1.000000 I181.379703 J-6.403828
G03 X911.106330 Y428.948454 Z-1.000000 I181.496053 J-0.004070
G03 X911.786141 Y419.899264 Z-1.000000 I181.278133 J9.068216
G03 X912.917322 Y410.896359 Z-1.000000 I180.591738 J18.118142
G03 X914.497033 Y401.961251 Z-1.000000 I179.458562 J27.120746
G03 X916.521214 Y393.115694 Z-1.000000 I177.877363 J36.050357
G03 X918.984961 Y384.382408 Z-1.000000 I175.858642 J44.897309
G03 X921.882153 Y375.783710 Z-1.000000 I173.387513 J53.632682
G03 X925.205455 Y367.340598 Z-1.000000 I170.494306 J62.232835
G03 X928.946980 Y359.074194 Z-1.000000 I167.164659 J70.681824
G03 X933.096956 Y351.005146 Z-1.000000 I163.426395 J78.949803
G03 X937.645489 Y343.153292 Z-1.000000 I159.280526 J87.026875
G03 X942.580784 Y335.538557 Z-1.000000 I154.728146 J94.876370
G03 X947.889528 Y328.179388 Z-1.000000 I149.803162 J102.470354
G03 X953.559444 Y321.094767 Z-1.000000 I144.492064 J109.827734
G03 X959.577217 Y314.303159 Z-1.000000 I138.807504 J116.929933
G03 X965.926903 Y307.820826 Z-1.000000 I132.792071 J123.723721
G03 X972.592037 Y301.663390 Z-1.000000 I126.452843 J130.193171
G03 X979.556584 Y295.846772 Z-1.000000 I119.791095 J136.354461
G03 X986.803057 Y290.385859 Z-1.000000 I112.814560 J142.163241
G03 X994.313380 Y285.293972 Z-1.000000 I105.571031 J147.628270
G03 X1002.068924 Y280.583649 Z-1.000000 I98.069919 J152.732147
G03 X1010.050196 Y276.266814 Z-1.000000 I90.308629 J157.432455
G03 X1018.237290 Y272.354324 Z-1.000000 I82.327824 J161.753148
G03 X1026.609693 Y268.855909 Z-1.000000 I74.139353 J165.662561
G03 X1035.147164 Y265.780083 Z-1.000000 I65.768815 J169.165896
G03 X1043.827678 Y263.134830 Z-1.000000 I57.231077 J172.240921
G03 X1052.629011 Y260.926948 Z-1.000000 I48.548400 J174.883199
G03 X1061.529675 Y259.161713 Z-1.000000 I39.747991 J177.095193
G03 X1070.507280 Y257.843641 Z-1.000000 I30.845349 J178.859799
G03 X1079.539528 Y256.975903 Z-1.000000 I21.867496 J180.175826
G03 X1085.954423 Y256.634808 Z-1.000000 I12.841607 J181.016456
G03 X1092.377349 Y256.520948 Z-1.000000 I6.428116 J181.397165
G01 X1092.377349 Y256.520948 Z-1.000000
G00 Z5.000000

(End cutting path id: path12)


(Start cutting path id: path12)
(Change tool to Cylindrical cutter)

G00 Z5.000000
G00 X1095.582999 Y222.224278

G01 Z-1.000000 F100.0(Penetrate)
G02 X1089.979689 Y223.061188 Z-1.000000 I0.519215 J22.652486 F400.000000
G02 X1085.009213 Y224.944860 Z-1.000000 I8.112565 J28.906423
G02 X1080.299677 Y227.616408 Z-1.000000 I18.130658 J37.448499
G02 X1075.743021 Y230.741921 Z-1.000000 I75.456363 J114.891414
G03 X1071.235249 Y233.959425 Z-1.000000 I-1143.388453 J-1597.138077
G03 X1066.725056 Y236.864756 Z-1.000000 I-33.654599 J-47.291456
G03 X1061.977803 Y239.183867 Z-1.000000 I-18.537143 J-31.927397
G03 X1056.895954 Y240.562659 Z-1.000000 I-8.362939 J-20.768945
G03 X1051.030325 Y240.689481 Z-1.000000 I-3.435594 J-23.190613
G03 X1044.994078 Y239.618416 Z-1.000000 I4.430781 J-42.515622
G03 X1039.027796 Y237.823079 Z-1.000000 I16.990233 J-67.273405
G02 X1033.004736 Y235.714319 Z-1.000000 I-2448.262165 J6983.093217
G02 X1026.952128 Y233.750491 Z-1.000000 I-46.461987 J132.888856
G02 X1021.194066 Y232.474101 Z-1.000000 I-11.606104 J38.731460
G02 X1015.457542 Y232.247818 Z-1.000000 I-3.934487 J26.916766
G02 X1009.828207 Y233.521494 Z-1.000000 I1.228730 J18.507650
G02 X1005.222513 Y236.273064 Z-1.000000 I6.233286 J15.663931
G02 X1001.511524 Y240.134339 Z-1.000000 I16.132666 J19.218671
G02 X998.466656 Y244.724666 Z-1.000000 I29.883522 J23.127449
G02 X995.659864 Y249.966744 Z-1.000000 I122.556231 J68.993343
G03 X992.949217 Y255.275973 Z-1.000000 I-1656.235793 J-842.250972
G03 X990.062504 Y260.289237 Z-1.000000 I-52.781165 J-27.054451
G03 X986.631705 Y264.815932 Z-1.000000 I-30.934753 J-19.882107
G03 X982.508720 Y268.372344 Z-1.000000 I-15.332681 J-13.607221
G03 X977.173548 Y270.920994 Z-1.000000 I-12.199503 J-18.679148
G03 X971.179345 Y272.359463 Z-1.000000 I-12.291520 J-38.011265
G03 X964.938932 Y273.045550 Z-1.000000 I-10.145569 J-63.557225
G03 X958.480567 Y273.427077 Z-1.000000 I-115.045528 J-1892.602013
G02 X952.046680 Y273.931766 Z-1.000000 I8.808077 J153.549865
G02 X946.151699 Y274.954978 Z-1.000000 I4.087314 J41.040890
G02 X940.687569 Y276.954636 Z-1.000000 I6.632509 J26.588833
G02 X935.932054 Y280.322959 Z-1.000000 I8.119206 J16.504137
G02 X932.688681 Y284.699788 Z-1.000000 I12.140467 J12.386618
G02 X930.703679 Y289.755455 Z-1.000000 I22.787168 J11.864424
G02 X929.618633 Y295.231431 Z-1.000000 I37.094778 J10.195690
G02 X929.008928 Y301.220804 Z-1.000000 I138.666624 J17.141692
G03 X928.521602 Y307.237192 Z-1.000000 I-3268.319913 J-261.705232
G03 X927.766107 Y313.059780 Z-1.000000 I-61.897408 J-5.071029
G03 X926.330803 Y318.648440 Z-1.000000 I-37.869723 J-6.747226
G03 X923.893524 Y323.613156 Z-1.000000 I-20.221635 J-6.846597
G03 X920.305966 Y327.309448 Z-1.000000 I-11.712251 J-7.778553
G03 X916.277658 Y329.512351 Z-1.000000 I-11.493332 J-16.232514
G03 X911.728087 Y331.035727 Z-1.000000 I-14.615726 J-36.094595
G02 X906.758465 Y332.535350 Z-1.000000 I21.231351 J79.343139
G02 X902.076068 Y334.500589 Z-1.000000 I11.150072 J33.127045
G02 X897.280046 Y337.846099 Z-1.000000 I9.558506 J18.813257
G02 X893.627627 Y342.286848 Z-1.000000 I14.593391 J15.725134
G02 X889.786504 Y350.608543 Z-1.000000 I32.172221 J19.897376
G02 X887.839674 Y359.233636 Z-1.000000 I47.353680 J15.220795
G02 X887.543426 Y365.398185 Z-1.000000 I36.036714 J4.821197
G02 X888.289279 Y371.573777 Z-1.000000 I37.384286 J-1.382224
G02 X889.526890 Y376.588323 Z-1.000000 I65.641282 J-13.540554
G02 X891.010549 Y381.564538 Z-1.000000 I269.743223 J-77.714710
G03 X892.151958 Y386.223275 Z-1.000000 I-39.041243 J12.034451
G03 X892.568040 Y390.889983 Z-1.000000 I-24.915506 J4.573357
G03 X891.833693 Y396.347361 Z-1.000000 I-21.227052 J-0.078224
G03 X889.615855 Y401.371646 Z-1.000000 I-17.522895 J-4.733371
G03 X886.448520 Y405.442400 Z-1.000000 I-23.252442 J-14.824468
G03 X882.607885 Y409.101217 Z-1.000000 I-35.297580 J-33.206477
G02 X878.385513 Y412.809773 Z-1.000000 I127.560809 J149.492161
G02 X874.435573 Y416.726252 Z-1.000000 I40.432943 J44.728471
G02 X870.887885 Y421.504124 Z-1.000000 I20.935965 J19.251531
G02 X868.534746 Y426.829908 Z-1.000000 I21.315345 J12.600695
G02 X867.198851 Y434.580095 Z-1.000000 I29.557785 J9.085088
G02 X868.181361 Y442.764949 Z-1.000000 I39.068511 J-0.538391
G02 X870.009462 Y448.091364 Z-1.000000 I26.073690 J-5.971937
G02 X872.941642 Y452.982371 Z-1.000000 I24.900586 J-11.603578
G02 X876.071094 Y456.733775 Z-1.000000 I38.152536 J-28.646149
G02 X879.490168 Y460.297643 Z-1.000000 I99.658999 J-92.187990
G03 X882.532093 Y463.730975 Z-1.000000 I-28.130149 J27.987491
G03 X884.931341 Y467.483774 Z-1.000000 I-17.815300 J14.033065
G03 X886.540804 Y472.306609 Z-1.000000 I-15.328083 J7.795216
G03 X886.799245 Y478.213954 Z-1.000000 I-22.463150 J3.942067
G03 X885.893362 Y483.341305 Z-1.000000 I-29.314908 J-2.535559
G03 X884.223342 Y488.397633 Z-1.000000 I-46.309511 J-12.491299
G02 X882.184352 Y493.723226 Z-1.000000 I298.438940 J117.315294
G02 X880.404187 Y499.106413 Z-1.000000 I71.067624 J26.487276
G02 X879.111534 Y505.540805 Z-1.000000 I37.690319 J10.918930
G02 X878.946026 Y512.032107 Z-1.000000 I36.271048 J4.172562
G02 X880.372667 Y520.882474 Z-1.000000 I46.538172 J-2.961583
G02 X882.590042 Y525.497320 Z-1.000000 I12.989462 J-3.401140
G02 X885.922564 Y528.860310 Z-1.000000 I13.503714 J-10.048711
G02 X890.140651 Y531.455990 Z-1.000000 I15.419176 J-20.331674
G02 X895.120658 Y533.700101 Z-1.000000 I38.591700 J-78.992818
G02 X900.202776 Y535.783952 Z-1.000000 I330.756654 J-799.413928
G03 X904.977985 Y538.034122 Z-1.000000 I-18.271584 J44.967084
G03 X909.259869 Y540.875774 Z-1.000000 I-13.404775 J24.845566
G03 X912.505582 Y544.494646 Z-1.000000 I-9.403351 J11.698678
G03 X914.620130 Y549.636307 Z-1.000000 I-13.211093 J8.438806
G03 X915.043274 Y554.361027 Z-1.000000 I-18.962549 J4.079586
G03 X914.532755 Y559.294699 Z-1.000000 I-35.517592 J-1.181984
G02 X913.711000 Y564.726327 Z-1.000000 I118.681491 J20.733390
G02 X913.355564 Y570.122082 Z-1.000000 I43.582323 J5.580488
G02 X914.113912 Y576.520886 Z-1.000000 I26.437264 J0.111153
G02 X916.347638 Y582.467736 Z-1.000000 I25.948136 J-6.353571
G02 X921.857164 Y590.675045 Z-1.000000 I39.008539 J-20.233328
G02 X927.157582 Y595.437618 Z-1.000000 I20.197491 J-17.147635
G02 X931.753006 Y597.769578 Z-1.000000 I11.391139 J-16.753777
G02 X936.900999 Y598.965341 Z-1.000000 I7.803460 J-21.915982
G02 X941.848641 Y599.285634 Z-1.000000 I5.690274 J-49.525065
G02 X946.866905 Y599.283333 Z-1.000000 I2.434208 J-163.383842
G03 X951.552345 Y599.489645 Z-1.000000 I0.620307 J39.220030
G03 X955.987155 Y600.423678 Z-1.000000 I-2.267475 J21.761316
G03 X960.272392 Y602.648039 Z-1.000000 I-4.436915 J13.787670
G03 X963.662797 Y605.987513 Z-1.000000 I-10.920721 J14.478070
G03 X966.180439 Y609.852566 Z-1.000000 I-21.685043 J16.877845
G03 X968.180128 Y614.113569 Z-1.000000 I-38.030428 J20.447402
G03 X970.024294 Y618.705816 Z-1.000000 I-961.587123 J388.823063
G02 X971.953073 Y623.249151 Z-1.000000 I104.263347 J-41.581783
G02 X974.340111 Y627.685029 Z-1.000000 I32.728357 J-14.751607
G02 X977.352211 Y631.607212 Z-1.000000 I22.995663 J-14.542181
G02 X981.664047 Y635.267446 Z-1.000000 I17.201055 J-15.893389
G02 X988.881842 Y638.706961 Z-1.000000 I15.982685 J-24.246534
G02 X995.925019 Y640.131842 Z-1.000000 I10.155332 J-32.078101
G02 X1003.277516 Y640.205999 Z-1.000000 I4.124438 J-44.400414
G02 X1010.856618 Y639.395382 Z-1.000000 I-8.093779 J-111.512012
G02 X1018.435015 Y638.234895 Z-1.000000 I-47.524851 J-335.679636
G03 X1025.937427 Y637.258176 Z-1.000000 I18.194867 J110.456859
G03 X1033.406499 Y636.980708 Z-1.000000 I6.102187 J63.595176
G03 X1040.646025 Y637.920341 Z-1.000000 I-0.726701 J33.957722
G03 X1047.026356 Y640.149777 Z-1.000000 I-7.985595 J33.098169
G03 X1052.862765 Y643.286969 Z-1.000000 I-24.267397 J52.144482
G03 X1058.447671 Y646.989117 Z-1.000000 I-50.790818 J82.684570
G02 X1064.057987 Y650.915538 Z-1.000000 I214.320959 J-300.263789
G02 X1069.793694 Y654.598052 Z-1.000000 I63.031167 J-91.866249
G02 X1076.010942 Y657.740643 Z-1.000000 I24.848832 J-41.439150
G02 X1082.553190 Y659.820296 Z-1.000000 I15.046180 J-36.002568
G02 X1090.500878 Y660.696879 Z-1.000000 I7.947688 J-35.591258
G02 X1096.993250 Y660.016187 Z-1.000000 I0.000059 J-31.301593
G02 X1103.115306 Y658.247174 Z-1.000000 I-9.140125 J-43.109270
G02 X1109.037872 Y655.692556 Z-1.000000 I-20.862759 J-56.510389
G02 X1114.919662 Y652.633081 Z-1.000000 I-78.172181 J-157.468329
G02 X1120.746729 Y649.443441 Z-1.000000 I-681.690134 J-1252.278630
G03 X1126.594124 Y646.457205 Z-1.000000 I51.081648 J92.805712
G03 X1132.615044 Y643.966296 Z-1.000000 I28.457550 J60.264160
G03 X1138.818870 Y642.322151 Z-1.000000 I12.830655 J35.887234
G03 X1145.060958 Y641.965264 Z-1.000000 I4.630726 J26.226457
G03 X1151.107508 Y642.733677 Z-1.000000 I-2.801622 J46.219580
G03 X1157.136731 Y644.138596 Z-1.000000 I-16.136387 J82.889164
G02 X1163.288840 Y645.693649 Z-1.000000 I46.231225 J-169.953200
G02 X1169.470113 Y646.850152 Z-1.000000 I16.045245 J-68.661493
G02 X1175.974032 Y647.144519 Z-1.000000 I4.794581 J-33.936432
G02 X1182.279422 Y646.130096 Z-1.000000 I-1.455722 J-29.151946
G02 X1189.774248 Y643.028740 Z-1.000000 I-8.774482 J-31.811445
G02 X1195.055133 Y639.140623 Z-1.000000 I-13.605634 J-24.009668
G02 X1198.381870 Y635.303413 Z-1.000000 I-16.936870 J-18.044410
G02 X1200.967518 Y630.820615 Z-1.000000 I-24.026332 J-16.845318
G02 X1202.837923 Y626.399468 Z-1.000000 I-62.818215 J-29.182024
G02 X1204.540033 Y621.879898 Z-1.000000 I-418.778134 J-160.295796
G03 X1206.357735 Y617.740922 Z-1.000000 I35.936082 J13.313318
G03 X1208.725137 Y614.029209 Z-1.000000 I20.672169 J10.574265
G03 X1212.156633 Y610.751789 Z-1.000000 I12.886837 J10.057547
G03 X1217.341296 Y608.602331 Z-1.000000 I7.314671 J10.315927
G03 X1222.246895 Y608.464816 Z-1.000000 I2.936459 J17.184954
G03 X1227.405639 Y609.414993 Z-1.000000 I-4.299379 J37.821506
G02 X1233.069939 Y610.591417 Z-1.000000 I15.521068 J-60.506975
G02 X1238.634981 Y610.935951 Z-1.000000 I4.559807 J-28.535153
G02 X1245.123846 Y609.575105 Z-1.000000 I-0.674041 J-19.364712
G02 X1248.173657 Y608.068401 Z-1.000000 I-7.847564 J-19.724745
G02 X1251.768024 Y605.526953 Z-1.000000 I-14.806673 J-24.753535
G02 X1254.988725 Y602.501681 Z-1.000000 I-22.643862 J-27.333645
G02 X1258.906698 Y597.859391 Z-1.000000 I-41.461718 J-38.967094
G02 X1261.707536 Y592.752325 Z-1.000000 I-15.971785 J-12.080871
G02 X1263.004957 Y587.671809 Z-1.000000 I-23.303559 J-8.656993
G02 X1263.366509 Y582.299354 Z-1.000000 I-34.558435 J-5.024087
G02 X1263.197566 Y576.862469 Z-1.000000 I-128.977022 J1.286699
G03 X1262.945157 Y571.415799 Z-1.000000 I466.003722 J-24.324678
G03 X1263.070235 Y566.320998 Z-1.000000 I39.191187 J-1.586792
G03 X1264.011050 Y561.460878 Z-1.000000 I24.292515 J2.181388
G03 X1266.208671 Y556.937024 Z-1.000000 I15.174005 J4.575593
G03 X1269.293547 Y553.734684 Z-1.000000 I11.778758 J8.259675
G03 X1273.361491 Y551.194024 Z-1.000000 I16.011363 J21.109382
G03 X1277.866284 Y549.241181 Z-1.000000 I18.897567 J37.420460
G03 X1282.691236 Y547.538360 Z-1.000000 I78.541342 J214.860046
G02 X1287.519933 Y545.838413 Z-1.000000 I-79.229322 J-232.758675
G02 X1291.635899 Y544.039266 Z-1.000000 I-12.162376 J-33.431944
G02 X1295.263941 Y541.649398 Z-1.000000 I-9.287949 J-18.048756
G02 X1297.633472 Y538.765975 Z-1.000000 I-6.183830 J-7.497055
G02 X1301.068858 Y529.963559 Z-1.000000 I-34.010900 J-18.345280
G02 X1301.929611 Y523.340660 Z-1.000000 I-26.965979 J-6.872047
G02 X1301.224313 Y516.568870 Z-1.000000 I-30.260345 J-0.270938
G02 X1299.556084 Y510.563397 Z-1.000000 I-55.932778 J12.302829
G02 X1297.409948 Y504.623848 Z-1.000000 I-140.246529 J47.317740
G03 X1295.536689 Y498.926531 Z-1.000000 I55.530286 J-21.414802
G03 X1294.507024 Y493.181128 Z-1.000000 I31.344982 J-8.582471
G03 X1294.895219 Y486.922405 Z-1.000000 I20.990650 J-1.839461
G03 X1297.042489 Y480.577058 Z-1.000000 I28.539341 J6.121738
G03 X1300.379398 Y474.583186 Z-1.000000 I46.547205 J21.987966
G03 X1304.401592 Y468.906397 Z-1.000000 I69.936338 J45.288911
G02 X1308.743585 Y463.267057 Z-1.000000 I-1374.940611 J-1063.122528
G02 X1312.926951 Y457.536493 Z-1.000000 I-119.740382 J-91.803841
G02 X1316.396041 Y451.709477 Z-1.000000 I-39.771598 J-27.624018
G02 X1318.798048 Y445.522237 Z-1.000000 I-30.724073 J-15.487558
G02 X1319.745024 Y438.645903 Z-1.000000 I-24.492278 J-6.876334
G02 X1318.877860 Y432.175431 Z-1.000000 I-24.573427 J-0.000046
G02 X1316.666254 Y426.298005 Z-1.000000 I-32.461842 J8.860189
G02 X1313.475917 Y420.740574 Z-1.000000 I-42.525161 J20.717837
G02 X1309.630297 Y415.257715 Z-1.000000 I-122.458012 J81.800724
G02 X1305.639035 Y409.855645 Z-1.000000 I-1407.354893 J1035.633589
G03 X1301.937751 Y404.419309 Z-1.000000 I65.244707 J-48.399477
G03 X1298.866872 Y398.700772 Z-1.000000 I42.766466 J-26.649581
G03 X1296.889218 Y392.677062 Z-1.000000 I26.000229 J-11.872676
G03 X1296.304173 Y386.995661 Z-1.000000 I27.061937 J-5.657540
G03 X1296.668927 Y381.994852 Z-1.000000 I34.875850 J0.030101
G03 X1297.639790 Y377.003469 Z-1.000000 I53.150762 J7.748135
G02 X1298.895533 Y371.770574 Z-1.000000 I-662.752648 J-161.808469
G02 X1299.985695 Y366.513947 Z-1.000000 I-96.473853 J-22.748882
G02 X1300.696410 Y360.279290 Z-1.000000 I-48.362059 J-8.670836
G02 X1300.576593 Y354.042927 Z-1.000000 I-45.301731 J-2.248968
G02 X1299.198930 Y345.796065 Z-1.000000 I-53.787405 J4.746847
G02 X1296.816326 Y340.459388 Z-1.000000 I-16.119313 J3.996398
G02 X1293.033277 Y336.146028 Z-1.000000 I-19.307235 J13.117834
G02 X1288.277620 Y332.581210 Z-1.000000 I-23.457742 J26.339314
G02 X1282.613342 Y329.255589 Z-1.000000 I-62.220864 J99.489497
G02 X1276.820513 Y326.099720 Z-1.000000 I-390.453088 J709.810889
G03 X1271.270439 Y322.783456 Z-1.000000 I35.031916 J-64.931562
G03 X1266.231631 Y318.912938 Z-1.000000 I24.094089 J-36.581855
G03 X1262.335884 Y314.388342 Z-1.000000 I15.046616 J-16.894815
G03 X1259.989332 Y309.494126 Z-1.000000 I17.337644 J-11.322248
G03 X1258.687878 Y304.162327 Z-1.000000 I34.253702 J-11.185819
G03 X1258.035943 Y298.608077 Z-1.000000 I59.559234 J-9.806200
G02 X1257.597026 Y292.851588 Z-1.000000 I-514.199865 J36.311403
G02 X1256.951986 Y287.145020 Z-1.000000 I-92.760968 J7.595475
G02 X1255.691261 Y281.711382 Z-1.000000 I-32.677258 J4.718774
G02 X1253.455676 Y276.759232 Z-1.000000 I-23.235416 J7.508643
G02 X1249.598513 Y271.996969 Z-1.000000 I-18.207602 J10.803951
G02 X1245.370778 Y269.451107 Z-1.000000 I-8.305616 J9.009273
G02 X1239.898938 Y268.219714 Z-1.000000 I-7.933566 J22.480652
G02 X1234.073778 Y268.028993 Z-1.000000 I-4.258794 J41.021925
G02 X1227.361564 Y268.388809 Z-1.000000 I8.200538 J215.764393
G03 X1220.647976 Y268.809776 Z-1.000000 I-35.741961 J-516.268357
G03 X1214.127701 Y268.827833 Z-1.000000 I-3.429199 J-61.037896
G03 X1207.802784 Y267.969718 Z-1.000000 I1.917244 J-37.870034
G03 X1202.338654 Y265.860366 Z-1.000000 I4.279659 J-19.218066
G03 X1198.782216 Y263.030277 Z-1.000000 I7.310909 J-12.836919
G03 X1196.049359 Y259.429086 Z-1.000000 I17.522160 J-16.134690
G03 X1193.844635 Y255.342175 Z-1.000000 I33.257230 J-20.579072
G03 X1191.777009 Y250.886458 Z-1.000000 I2635.297678 J-1225.588236
G02 X1189.605017 Y246.502736 Z-1.000000 I-84.114138 J38.945879
G02 X1187.013106 Y242.461936 Z-1.000000 I-25.313890 J13.385550
G02 X1183.775076 Y239.102947 Z-1.000000 I-16.443477 J12.611129
G02 X1179.249150 Y236.384973 Z-1.000000 I-11.248252 J13.603167
G02 X1173.973324 Y235.059173 Z-1.000000 I-7.193323 J17.464689
G02 X1168.513623 Y235.026150 Z-1.000000 I-2.901954 J28.437668
G02 X1162.993848 Y235.887671 Z-1.000000 I3.834215 J42.679254
G02 X1157.146886 Y237.302163 Z-1.000000 I37.961924 J169.711714
G03 X1151.310076 Y238.795848 Z-1.000000 I-184.008224 J-706.890212
G03 X1145.430377 Y239.982434 Z-1.000000 I-15.481388 J-61.551768
G03 X1139.539263 Y240.460590 Z-1.000000 I-6.313045 J-41.250046
G03 X1133.645534 Y239.836387 Z-1.000000 I-0.259705 J-25.684303
G03 X1122.984511 Y233.660883 Z-1.000000 I176.340425 J-316.713651
G03 X1117.306833 Y230.146284 Z-1.000000 I140.452400 J-233.237915
G03 X1111.804888 Y226.584597 Z-1.000000 I220.985880 J-347.400139
G02 X1108.911668 Y224.782027 Z-1.000000 I-37.081901 J56.295227
G02 X1105.977584 Y223.317236 Z-1.000000 I-12.085746 J20.537650
G02 X1103.367803 Y222.541922 Z-1.000000 I-4.969399 J11.947437
G02 X1100.595401 Y222.243939 Z-1.000000 I-3.334872 J17.981198
G02 X1095.582999 Y222.224278 Z-1.000000 I-2.872371 J93.346453
G01 X1095.582999 Y222.224278 Z-1.000000
G00 Z5.000000

(End cutting path id: path12)


(Start cutting path id: path873-2-2)
(Change tool to Cylindrical cutter)

G00 Z5.000000
G00 X357.060490 Y550.668410

G01 Z-1.000000 F100.0(Penetrate)
G03 X351.657755 Y555.670398 Z-1.000000 I-26.346232 J-23.038239 F400.000000
G03 X344.404095 Y560.157723 Z-1.000000 I-29.198817 J-39.092875
G03 X336.487770 Y563.415401 Z-1.000000 I-25.321502 J-50.285177
G03 X327.095168 Y565.757687 Z-1.000000 I-21.422512 J-65.901221
G03 X317.452494 Y566.811071 Z-1.000000 I-12.829336 J-72.778505
G03 X307.768837 Y566.615757 Z-1.000000 I-3.301149 J-76.484451
G03 X298.192924 Y565.183388 Z-1.000000 I6.212731 J-74.259817
G03 X289.367360 Y562.601300 Z-1.000000 I13.706006 J-63.220974
G03 X280.763714 Y558.570757 Z-1.000000 I20.116245 J-54.138378
G03 X274.468971 Y554.151124 Z-1.000000 I20.885390 J-36.438916
G03 X269.201873 Y548.596246 Z-1.000000 I22.948142 J-27.033828
G03 X265.977556 Y543.048216 Z-1.000000 I20.606131 J-15.686490
G03 X264.328565 Y536.905629 Z-1.000000 I20.973622 J-8.923047
G03 X264.495986 Y530.709622 Z-1.000000 I20.678503 J-2.541517
G03 X266.435408 Y524.822127 Z-1.000000 I21.575865 J3.844204
G03 X270.627130 Y518.552390 Z-1.000000 I26.224625 J12.996762
G03 X276.263826 Y513.365379 Z-1.000000 I26.648569 J23.302661
G03 X283.550640 Y508.918996 Z-1.000000 I28.961075 J39.267873
G03 X291.507743 Y505.700433 Z-1.000000 I25.133502 J50.691110
G03 X300.592446 Y503.463134 Z-1.000000 I21.218714 J66.596842
G03 X319.465765 Y502.509415 Z-1.000000 I13.262674 J75.236850
G03 X338.320230 Y506.619520 Z-1.000000 I-5.037754 J68.410918
G03 X346.923874 Y510.650060 Z-1.000000 I-20.116241 J54.138394
G03 X353.218617 Y515.069689 Z-1.000000 I-20.885391 J36.438938
G03 X358.485717 Y520.624564 Z-1.000000 I-22.948144 J27.033852
G03 X361.710036 Y526.172591 Z-1.000000 I-20.606134 J15.686510
G03 X363.359032 Y532.315176 Z-1.000000 I-20.973625 J8.923067
G03 X363.191618 Y538.511180 Z-1.000000 I-20.678498 J2.541536
G03 X361.252202 Y544.398674 Z-1.000000 I-21.575859 J-3.844180
G03 X357.060490 Y550.668410 Z-1.000000 I-26.224611 J-12.996721
G01 X357.060490 Y550.668410 Z-1.000000
G00 Z5.000000

(End cutting path id: path873-2-2)


(Start cutting path id: path873-2-2)
(Change tool to Cylindrical cutter)

G00 Z5.000000
G00 X350.511620 Y554.339460

G01 Z-1.000000 F100.0(Penetrate)
G03 X345.845802 Y558.166420 Z-1.000000 I-20.731596 J-20.518146 F400.000000
G03 X339.438643 Y561.674704 Z-1.000000 I-24.456383 J-37.059721
G03 X332.549543 Y564.182793 Z-1.000000 I-21.468458 J-48.253183
G03 X324.295207 Y566.003477 Z-1.000000 I-18.652947 J-64.944379
G03 X307.112552 Y566.697373 Z-1.000000 I-11.617617 J-74.591777
G03 X291.287470 Y563.563580 Z-1.000000 I4.897530 J-66.255408
G03 X283.703998 Y560.419827 Z-1.000000 I16.911754 J-51.513563
G03 X278.252992 Y557.031590 Z-1.000000 I16.615426 J-32.809862
G03 X273.594714 Y552.678406 Z-1.000000 I17.736895 J-23.648964
G03 X270.823922 Y548.449033 Z-1.000000 I14.637708 J-12.611914
G03 X269.382693 Y543.679854 Z-1.000000 I14.512060 J-6.987848
G03 X269.527705 Y538.911291 Z-1.000000 I14.080996 J-1.958283
G03 X271.191537 Y534.424559 Z-1.000000 I15.083979 J3.041781
G03 X274.891790 Y529.513740 Z-1.000000 I19.996764 J11.217901
G03 X279.759703 Y525.544609 Z-1.000000 I20.992376 J20.776280
G03 X286.198468 Y522.067119 Z-1.000000 I24.296276 J37.286288
G03 X293.124759 Y519.588572 Z-1.000000 I21.331800 J48.694619
G03 X301.108206 Y517.849737 Z-1.000000 I18.477183 J65.637113
G03 X317.663691 Y517.107515 Z-1.000000 I11.646964 J74.780353
G03 X334.115930 Y520.289640 Z-1.000000 I-4.318969 J66.451736
G03 X341.699396 Y523.433391 Z-1.000000 I-16.911758 J51.513551
G03 X347.150399 Y526.821627 Z-1.000000 I-16.615429 J32.809864
G03 X351.808675 Y531.174807 Z-1.000000 I-17.736897 J23.648971
G03 X354.579467 Y535.404177 Z-1.000000 I-14.637711 J12.611923
G03 X356.020698 Y540.173353 Z-1.000000 I-14.512063 J6.987857
G03 X355.875690 Y544.941913 Z-1.000000 I-14.080993 J1.958293
G03 X354.211864 Y549.428643 Z-1.000000 I-15.083974 J-3.041765
G03 X350.511620 Y554.339460 Z-1.000000 I-19.996748 J-11.217866
G01 X350.511620 Y554.339460 Z-1.000000
G00 Z5.000000

(End cutting path id: path873-2-2)


(Start cutting path id: path873-2-2)
(Change tool to Cylindrical cutter)

G00 Z5.000000
G00 X242.709270 Y516.323230

G01 Z-1.000000 F100.0(Penetrate)
G03 X243.074895 Y517.998733 Z-1.000000 I-1.919315 J1.296473 F400.000000
G03 X241.951015 Y522.307046 Z-1.000000 I-24.223146 J-4.018179
G03 X240.242292 Y526.625919 Z-1.000000 I-71.000363 J-25.593194
G02 X237.601838 Y532.875997 Z-1.000000 I399.599980 J172.500766
G02 X235.144558 Y539.157603 Z-1.000000 I163.678526 J67.650254
G02 X232.862655 Y546.301482 Z-1.000000 I78.778531 J29.099879
G02 X231.339051 Y553.574967 Z-1.000000 I61.843499 J16.750909
G02 X230.934384 Y560.854902 Z-1.000000 I38.852174 J5.810878
G02 X232.009017 Y567.909617 Z-1.000000 I31.409870 J-1.175411
G02 X235.017939 Y574.807661 Z-1.000000 I24.896470 J-6.754556
G02 X239.803985 Y580.520527 Z-1.000000 I22.715467 J-14.169024
G02 X248.314238 Y586.431157 Z-1.000000 I27.444177 J-30.432778
G02 X258.032020 Y590.393219 Z-1.000000 I26.065080 J-50.031565
G02 X274.024196 Y593.996793 Z-1.000000 I32.853538 J-108.512222
G02 X290.462952 Y595.613127 Z-1.000000 I23.970342 J-159.385350
G02 X315.348730 Y595.775970 Z-1.000000 I14.467104 J-309.261271
G02 X349.176600 Y592.398760 Z-1.000000 I-8.693321 J-258.184043
G02 X379.553988 Y585.620754 Z-1.000000 I-47.303016 J-283.461761
G02 X409.162126 Y575.618811 Z-1.000000 I-81.160121 J-289.077887
G02 X433.674933 Y564.624347 Z-1.000000 I-113.224416 J-285.264129
G02 X457.198725 Y551.428224 Z-1.000000 I-132.128402 J-263.101085
G02 X473.657293 Y540.132232 Z-1.000000 I-118.770593 J-190.690279
G02 X481.411304 Y533.952278 Z-1.000000 I-110.646000 J-146.782396
G02 X487.079545 Y528.870747 Z-1.000000 I-79.128817 J-93.967094
G02 X492.368308 Y523.393230 Z-1.000000 I-64.009907 J-67.096156
G02 X495.446800 Y519.489890 Z-1.000000 I-31.501019 J-28.009916
G02 X504.944622 Y504.574955 Z-1.000000 I-173.722910 J-121.108213
G02 X511.256794 Y492.320575 Z-1.000000 I-120.205536 J-69.670172
G02 X516.196949 Y479.494059 Z-1.000000 I-107.254971 J-48.674049
G02 X519.085214 Y468.140605 Z-1.000000 I-92.821566 J-29.657475
G02 X520.586969 Y456.511213 Z-1.000000 I-95.179738 J-18.202644
G02 X520.796227 Y445.058582 Z-1.000000 I-115.216363 J-7.833413
G02 X519.966211 Y433.590176 Z-1.000000 I-140.527066 J4.406283
G02 X518.254000 Y421.183110 Z-1.000000 I-259.442970 J29.482202
G02 X511.084196 Y397.984459 Z-1.000000 I-86.721556 J14.094992
G02 X499.314953 Y378.275365 Z-1.000000 I-104.156407 J48.828238
G02 X483.833382 Y360.702152 Z-1.000000 I-112.171663 J83.214445
G02 X467.908029 Y346.998236 Z-1.000000 I-134.521041 J140.221820
G02 X450.425684 Y334.846331 Z-1.000000 I-132.517261 J171.994590
G02 X438.473985 Y327.859552 Z-1.000000 I-124.883655 J199.912238
G02 X431.358338 Y324.117176 Z-1.000000 I-124.609858 J228.293726
G02 X425.453580 Y321.367140 Z-1.000000 I-44.776369 J88.427625
G00 Z5.000000

(End cutting path id: path873-2-2)


(Start cutting path id: path873-2-2)
(Change tool to Cylindrical cutter)

G00 Z5.000000
G00 X203.868786 Y494.618330

G01 Z-1.000000 F100.0(Penetrate)
G03 X155.939124 Y494.831842 Z-1.000000 I-26.762945 J-628.019865 F400.000000
G03 X110.154920 Y492.929210 Z-1.000000 I98.247128 J-2915.998925
G03 X94.116166 Y490.418158 Z-1.000000 I20.739932 J-184.948862
G03 X81.428012 Y487.211496 Z-1.000000 I26.609533 J-131.994515
G03 X69.166156 Y482.693408 Z-1.000000 I33.549456 J-109.949538
G03 X59.661015 Y477.838233 Z-1.000000 I34.134563 J-78.558247
G03 X50.897650 Y471.771741 Z-1.000000 I38.317721 J-64.714778
G03 X44.260443 Y465.577773 Z-1.000000 I38.208083 J-47.595305
G03 X38.654736 Y458.437062 Z-1.000000 I41.765531 J-38.558091
G03 X34.632812 Y451.198470 Z-1.000000 I44.023254 J-29.196942
G03 X30.193075 Y435.418905 Z-1.000000 I48.466412 J-22.150869
G03 X30.322430 Y419.156750 Z-1.000000 I63.339561 J-7.627764
G03 X34.392795 Y403.152542 Z-1.000000 I72.364794 J9.884890
G03 X41.981992 Y387.859900 Z-1.000000 I81.320417 J30.826998
G00 Z5.000000

(End cutting path id: path873-2-2)


(Start cutting path id: path873-2-2)
(Change tool to Cylindrical cutter)

G00 Z5.000000
G00 X152.552656 Y540.724190

G01 Z-1.000000 F100.0(Penetrate)
G02 X147.917486 Y541.128750 Z-1.000000 I0.641355 J34.103737 F400.000000
G02 X140.589510 Y542.681357 Z-1.000000 I10.840654 J69.235174
G02 X133.464528 Y544.929155 Z-1.000000 I22.351944 J83.266433
G02 X124.459169 Y548.666790 Z-1.000000 I37.495782 J103.058814
G02 X107.524410 Y558.351160 Z-1.000000 I50.743619 J108.382631
G02 X87.313950 Y575.492350 Z-1.000000 I73.349046 J106.968039
G03 X77.293090 Y584.648786 Z-1.000000 I-74.917465 J-71.928469
G03 X69.391443 Y589.835364 Z-1.000000 I-31.428001 J-39.267640
G03 X60.728722 Y592.990195 Z-1.000000 I-15.731149 J-29.724788
G03 X53.835910 Y593.150250 Z-1.000000 I-3.865823 J-17.982330
G03 X50.426774 Y592.209156 Z-1.000000 I2.802760 J-16.798457
G03 X47.133205 Y590.517097 Z-1.000000 I6.682770 J-17.059384
G03 X44.211149 Y588.218198 Z-1.000000 I11.163791 J-17.196448
G03 X41.247181 Y584.940854 Z-1.000000 I19.439244 J-20.559438
G03 X36.738094 Y577.412891 Z-1.000000 I29.660241 J-22.880248
G03 X32.225087 Y564.711020 Z-1.000000 I76.094183 J-34.189132
G02 X28.769136 Y578.360974 Z-1.000000 I62.968780 J23.205163
G02 X28.132536 Y592.679348 Z-1.000000 I72.173778 J10.382211
G02 X30.302651 Y606.843557 Z-1.000000 I73.104372 J-3.952057
G02 X35.288630 Y620.307755 Z-1.000000 I66.614816 J-17.013101
G02 X42.975580 Y632.314466 Z-1.000000 I58.095650 J-28.730033
G02 X53.594533 Y642.551748 Z-1.000000 I46.371015 J-37.473773
G02 X66.296684 Y649.804428 Z-1.000000 I35.380938 J-47.215791
G02 X82.951411 Y654.366832 Z-1.000000 I26.171115 J-62.856121
G02 X100.147707 Y655.460160 Z-1.000000 I15.708351 J-111.285478
G02 X118.279393 Y653.802679 Z-1.000000 I-1.548344 J-116.940560
G02 X135.840370 Y649.302071 Z-1.000000 I-18.666548 J-109.346233
G02 X152.086394 Y641.841750 Z-1.000000 I-29.897272 J-86.525318
G02 X166.280498 Y631.324996 Z-1.000000 I-40.783392 J-69.880980
G02 X177.804164 Y617.436266 Z-1.000000 I-46.885523 J-50.626584
G02 X185.238115 Y601.203058 Z-1.000000 I-57.410786 J-36.109885
G02 X188.864450 Y579.538450 Z-1.000000 I-80.031928 J-24.531964
G02 X182.566602 Y568.796795 Z-1.000000 I-70.427505 J34.074701
G02 X174.247326 Y558.558536 Z-1.000000 I-74.732165 J52.225810
G02 X164.577958 Y549.524452 Z-1.000000 I-74.678263 J70.237994
G02 X152.552656 Y540.724190 Z-1.000000 I-85.785506 J104.607153
G01 X152.552656 Y540.724190 Z-1.000000
G00 Z5.000000

(End cutting path id: path873-2-2)


(Start cutting path id: path873-2-2)
(Change tool to Cylindrical cutter)

G00 Z5.000000
G00 X203.868786 Y494.618330

G01 Z-1.000000 F100.0(Penetrate)
G03 X197.211784 Y504.602550 Z-1.000000 I-161.384339 J-100.391994 F400.000000
G03 X189.088988 Y514.831098 Z-1.000000 I-103.250050 J-73.654403
G03 X179.952512 Y524.107722 Z-1.000000 I-88.632125 J-78.155563
G03 X167.691869 Y533.940990 Z-1.000000 I-85.433849 J-93.963234
G01 X160.786535 Y532.124980 Z-1.000000
G02 X159.685923 Y532.210124 Z-1.000000 I-0.427770 J1.626520
G02 X158.204886 Y533.127997 Z-1.000000 I2.441795 J5.593771
G02 X156.884003 Y534.425492 Z-1.000000 I7.594930 J9.052928
G02 X155.518391 Y536.121821 Z-1.000000 I21.567843 J18.760820
G02 X153.938083 Y538.400259 Z-1.000000 I33.414838 J24.863554
G02 X152.552656 Y540.724190 Z-1.000000 I31.996472 J20.649836
G03 X162.266477 Y547.535761 Z-1.000000 I-87.720416 J135.428126
G03 X171.635668 Y555.733389 Z-1.000000 I-53.370205 J70.450513
G03 X179.721365 Y565.158839 Z-1.000000 I-60.875525 J60.403467
G03 X188.864470 Y579.538490 Z-1.000000 I-97.654434 J72.188823
G02 X191.629955 Y578.131024 Z-1.000000 I-19.157132 J-41.061869
G02 X194.398730 Y576.486886 Z-1.000000 I-25.266510 J-45.702956
G02 X196.493909 Y575.049285 Z-1.000000 I-19.674536 J-30.919492
G02 X198.200590 Y573.597777 Z-1.000000 I-9.688897 J-13.121302
G02 X199.552407 Y571.920266 Z-1.000000 I-6.339734 J-6.492290
G02 X199.922522 Y570.622370 Z-1.000000 I-2.058932 J-1.288856
G03 X200.095847 Y569.180091 Z-1.000000 I5.900510 J-0.022466
G03 X201.731724 Y563.751558 Z-1.000000 I55.402932 J13.734813
G03 X203.781721 Y558.581055 Z-1.000000 I74.669739 J26.613360
G03 X207.313751 Y551.377460 Z-1.000000 I84.873276 J37.146933
G03 X211.433391 Y544.563577 Z-1.000000 I78.381378 J42.736688
G03 X216.868105 Y537.418844 Z-1.000000 I60.366815 J40.279290
G03 X223.141675 Y531.114414 Z-1.000000 I47.605474 J41.098794
G03 X230.594288 Y525.794480 Z-1.000000 I31.024884 J35.582186
G02 X231.800968 Y523.981034 Z-1.000000 I-6.458020 J-5.605403
G02 X232.345274 Y522.313255 Z-1.000000 I-5.480435 J-2.711336
G02 X232.393924 Y520.549651 Z-1.000000 I-6.059865 J-1.049640
G02 X231.946588 Y518.664114 Z-1.000000 I-8.273353 J0.966989
G02 X230.035760 Y515.237420 Z-1.000000 I-11.629625 J4.238915
G02 X226.090016 Y510.960320 Z-1.000000 I-29.588583 J23.337711
G02 X221.587392 Y507.151552 Z-1.000000 I-43.371757 J46.707110
G02 X215.804205 Y502.879569 Z-1.000000 I-111.822986 J145.329619
G02 X209.896647 Y498.777887 Z-1.000000 I-213.943493 J301.832799
G03 X203.868786 Y494.618330 Z-1.000000 I300.925107 J-442.535885
G01 X203.868786 Y494.618330 Z-1.000000
G00 Z5.000000

(End cutting path id: path873-2-2)


(Start cutting path id: path873-2-2)
(Change tool to Cylindrical cutter)

G00 Z5.000000
G00 X203.868786 Y494.618330

G01 Z-1.000000 F100.0(Penetrate)
G03 X211.275114 Y499.590759 Z-1.000000 I-201.810578 J308.594555 F400.000000
G03 X217.402384 Y504.002766 Z-1.000000 I-103.438082 J150.112584
G03 X223.297531 Y508.718268 Z-1.000000 I-75.873302 J100.896713
G03 X227.354385 Y512.542445 Z-1.000000 I-35.210062 J41.416297
G03 X230.811732 Y516.821692 Z-1.000000 I-23.667506 J22.658050
G03 X232.244961 Y519.914104 Z-1.000000 I-8.773295 J5.944462
G03 X232.501306 Y521.586867 Z-1.000000 I-6.783743 J1.895608
G03 X232.329770 Y523.060906 Z-1.000000 I-5.046436 J0.159739
G03 X231.737855 Y524.414222 Z-1.000000 I-4.804661 J-1.295364
G03 X230.594288 Y525.794480 Z-1.000000 I-5.825503 J-3.662669
G02 X254.371769 Y506.434514 Z-1.000000 I-206.087577 J-277.393668
G02 X282.656239 Y479.856533 Z-1.000000 I-485.781596 J-545.311344
G02 X309.721786 Y452.015200 Z-1.000000 I-732.908503 J-739.562709
G02 X339.744182 Y419.314436 Z-1.000000 I-1636.473981 J-1532.570110
G02 X369.233060 Y386.144542 Z-1.000000 I-2702.277710 J-2432.086596
G02 X400.212537 Y350.862294 Z-1.000000 I-287489.939102 J-252460.960689
G03 X431.280942 Y315.668672 Z-1.000000 I6460.203254 J5671.661025
G03 X462.415720 Y281.194210 Z-1.000000 I2022.955944 J1795.687259
G02 X476.928653 Y260.994403 Z-1.000000 I-683.046612 J-506.061200
G02 X485.794953 Y247.691626 Z-1.000000 I-320.031000 J-222.906716
G02 X493.902539 Y234.006793 Z-1.000000 I-206.145891 J-131.375329
G02 X497.592040 Y226.335619 Z-1.000000 I-69.099300 J-37.956588
G02 X499.057773 Y222.319450 Z-1.000000 I-44.518822 J-18.523055
G02 X499.720171 Y219.630393 Z-1.000000 I-20.625813 J-6.506887
G02 X499.930926 Y216.913803 Z-1.000000 I-13.428422 J-2.408255
G02 X499.640236 Y215.263186 Z-1.000000 I-5.543241 J0.125314
G02 X498.815500 Y213.875642 Z-1.000000 I-3.663521 J1.238667
G02 X497.581391 Y213.001122 Z-1.000000 I-2.691069 J2.489556
G02 X496.050356 Y212.605863 Z-1.000000 I-2.021610 J4.667834
G02 X493.772794 Y212.611326 Z-1.000000 I-1.111274 J11.469179
G02 X489.232422 Y213.591593 Z-1.000000 I2.117403 J20.812445
G02 X481.822967 Y216.517037 Z-1.000000 I24.316129 J72.432881
G02 X474.667625 Y220.061573 Z-1.000000 I52.233286 J114.437669
G02 X465.624010 Y225.117318 Z-1.000000 I135.300129 J252.638523
G02 X447.459519 Y236.247788 Z-1.000000 I244.832967 J419.944949
G02 X427.811720 Y248.949580 Z-1.000000 I2838.774116 J4412.711693
G03 X404.785082 Y269.902012 Z-1.000000 I-9771.914318 J-10716.164663
G02 X379.053517 Y293.615112 Z-1.000000 I1588.950111 J1750.019485
G02 X353.745064 Y317.785230 Z-1.000000 I1149.809444 J1229.297028
G02 X325.303267 Y346.423448 Z-1.000000 I877.970272 J900.391019
G02 X297.819990 Y375.987231 Z-1.000000 I857.506824 J824.717589
G02 X266.821510 Y411.912037 Z-1.000000 I879.792783 J790.484072
G02 X237.259269 Y449.041735 Z-1.000000 I939.781848 J778.576970
G02 X203.868786 Y494.618330 Z-1.000000 I1085.126628 J830.008856
G01 X203.868786 Y494.618330 Z-1.000000
G00 Z5.000000

(End cutting path id: path873-2-2)


(Start cutting path id: path873-2-2)
(Change tool to Cylindrical cutter)

G00 Z5.000000
G00 X88.342468 Y574.433150

G01 Z-1.000000 F100.0(Penetrate)
G03 X93.288303 Y574.111607 Z-1.000000 I4.238793 J27.001156 F400.000000
G03 X95.676515 Y574.549323 Z-1.000000 I-0.202907 J7.841072
G03 X97.542119 Y575.822978 Z-1.000000 I-1.438598 J4.110370
G03 X98.340348 Y577.475009 Z-1.000000 I-2.714522 J2.330464
G03 X98.376024 Y579.500256 Z-1.000000 I-5.771109 J1.114599
G03 X97.683079 Y582.310417 Z-1.000000 I-16.605392 J-2.604136
G03 X96.588330 Y585.043269 Z-1.000000 I-26.282542 J-8.942779
G03 X95.053816 Y588.155754 Z-1.000000 I-65.630982 J-30.422798
G03 X91.496410 Y594.620501 Z-1.000000 I-155.522221 J-81.369252
G02 X89.275755 Y599.277047 Z-1.000000 I28.266788 J16.337894
G02 X88.667180 Y601.553055 Z-1.000000 I10.533063 J4.035772
G02 X88.825177 Y602.753418 Z-1.000000 I2.108581 J0.333039
G02 X89.177807 Y603.228987 Z-1.000000 I1.241466 J-0.552016
G02 X89.799736 Y603.576876 Z-1.000000 I1.155539 J-1.335921
G02 X90.533088 Y603.704080 Z-1.000000 I0.834419 J-2.633016
G02 X91.799047 Y603.640550 Z-1.000000 I0.267691 J-7.310867
G03 X101.051013 Y603.140982 Z-1.000000 I7.630781 J55.398862
G03 X109.177560 Y604.093413 Z-1.000000 I-1.354493 J46.702883
G03 X116.895586 Y606.592498 Z-1.000000 I-7.580042 J36.577249
G03 X122.030823 Y609.970963 Z-1.000000 I-7.902517 J17.603745
G03 X124.049324 Y612.254340 Z-1.000000 I-9.821383 J10.715950
G03 X125.370966 Y614.717321 Z-1.000000 I-9.031616 J6.432476
G03 X126.011038 Y617.413234 Z-1.000000 I-9.754205 J3.739814
G03 X125.912373 Y620.547843 Z-1.000000 I-11.893730 J1.194492
G03 X125.058197 Y623.586970 Z-1.000000 I-14.064890 J-2.313471
G03 X123.099237 Y627.371859 Z-1.000000 I-21.346357 J-8.648924
G03 X120.531900 Y630.811150 Z-1.000000 I-25.470115 J-16.334873
G03 X116.375749 Y635.098700 Z-1.000000 I-39.243626 J-33.882783
G02 X111.456548 Y639.882330 Z-1.000000 I82.679714 J89.944017
G02 X109.829416 Y641.932841 Z-1.000000 I9.353268 J9.092897
G02 X109.266096 Y643.096266 Z-1.000000 I4.568912 J2.930316
G02 X109.170110 Y643.831838 Z-1.000000 I1.749679 J0.602368
G02 X109.394602 Y644.522296 Z-1.000000 I1.509009 J-0.108907
G02 X109.991053 Y645.201956 Z-1.000000 I2.356552 J-1.466501
G02 X111.621886 Y646.199061 Z-1.000000 I4.401969 J-5.367499
G03 X115.286715 Y647.805073 Z-1.000000 I-336.702129 J773.320090
G03 X118.898712 Y649.523460 Z-1.000000 I-28.157653 J63.841853
G03 X124.142458 Y652.641219 Z-1.000000 I-21.819937 J42.667455
G00 Z5.000000

(End cutting path id: path873-2-2)


(Footer)
M5
G00 X0.0000 Y0.0000
M2
(Using default footer. To add your own footer create file "footer" in the output dir.)
(end)
%

"""
